#----------------------------------------------------------------------------
#       Makefile.BE,v 1.23 2002/01/25 02:22:28 ossama Exp
#
#       Makefile for the tao_ifr back end library
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
#       Local macros
#----------------------------------------------------------------------------

ifndef TAO_ROOT
  TAO_ROOT = $(ACE_ROOT)/TAO
endif # ! TAO_ROOT

LDLIBS     += -lTAO_IDL_FE_DLL -lTAO_IFR_Client -lTAO
ACE_SHLIBS += -lTAO_IDL_FE_DLL -lTAO_IFR_Client -lTAO -lACE

VPATH = .

MAKEFILE=Makefile.BE

LIBNAME = libTAO_IFR_BE_DLL
LIB = $(LIBNAME).a
SHLIB = $(LIBNAME).$(SOEXT)

FILES = be_global \
        be_produce \
        ifr_adding_visitor \
        ifr_adding_visitor_exception \
        ifr_adding_visitor_operation \
        ifr_adding_visitor_structure \
        ifr_adding_visitor_union \
        ifr_removing_visitor \
        ifr_visitor

LSRC = $(addsuffix .cpp,$(FILES))

#----------------------------------------------------------------------------
#       Include macros and targets
#----------------------------------------------------------------------------

include $(ACE_ROOT)/include/makeinclude/wrapper_macros.GNU
include $(ACE_ROOT)/include/makeinclude/macros.GNU
include $(TAO_ROOT)/rules.tao.GNU
include $(ACE_ROOT)/include/makeinclude/rules.common.GNU
include $(ACE_ROOT)/include/makeinclude/rules.nonested.GNU
include $(ACE_ROOT)/include/makeinclude/rules.lib.GNU
include $(ACE_ROOT)/include/makeinclude/rules.local.GNU
include $(TAO_ROOT)/taoconfig.mk

#----------------------------------------------------------------------------
#       Local targets
#----------------------------------------------------------------------------

CPPFLAGS += -I../../TAO_IDL/include -I../../TAO_IDL/fe
LDFLAGS += -I$(TAO_ROOT)/tao

realclean: clean

#----------------------------------------------------------------------------
#       Dependencies
#----------------------------------------------------------------------------
# DO NOT DELETE THIS LINE -- g++dep uses it.
# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.


.obj/be_global.o .obj/be_global.so .shobj/be_global.o .shobj/be_global.so: be_global.cpp be_global.h TAO_IFR_BE_Export.h \
 $(ACE_ROOT)/ace/pre.h \
 $(ACE_ROOT)/ace/post.h \
 $(ACE_ROOT)/ace/ACE_export.h \
 $(ACE_ROOT)/ace/svc_export.h \
 $(ACE_ROOT)/ace/ace_wchar.h \
 $(ACE_ROOT)/ace/ace_wchar.inl \
 $(ACE_ROOT)/ace/OS_Errno.h \
 $(ACE_ROOT)/ace/OS_Export.h \
 $(ACE_ROOT)/ace/OS_Errno.inl \
 ../../TAO_IDL/include/idl_bool.h \
 $(TAO_ROOT)/tao/ORB.h \
 $(TAO_ROOT)/tao/corbafwd.h \
 $(ACE_ROOT)/ace/CDR_Base.h \
 $(ACE_ROOT)/ace/Basic_Types.h \
 $(ACE_ROOT)/ace/Basic_Types.i \
 $(ACE_ROOT)/ace/Message_Block.h \
 $(ACE_ROOT)/ace/ACE.h \
 $(ACE_ROOT)/ace/OS.h \
 $(ACE_ROOT)/ace/OS_Dirent.h \
 $(ACE_ROOT)/ace/OS_Dirent.inl \
 $(ACE_ROOT)/ace/OS_String.h \
 $(ACE_ROOT)/ace/OS_String.inl \
 $(ACE_ROOT)/ace/OS_Memory.h \
 $(ACE_ROOT)/ace/OS_Memory.inl \
 $(ACE_ROOT)/ace/OS_TLI.h \
 $(ACE_ROOT)/ace/OS_TLI.inl \
 $(ACE_ROOT)/ace/Default_Constants.h \
 $(ACE_ROOT)/ace/Global_Macros.h \
 $(ACE_ROOT)/ace/Min_Max.h \
 $(ACE_ROOT)/ace/streams.h \
 $(ACE_ROOT)/ace/Trace.h \
 $(ACE_ROOT)/ace/OS.i \
 $(ACE_ROOT)/ace/Flag_Manip.h \
 $(ACE_ROOT)/ace/Flag_Manip.i \
 $(ACE_ROOT)/ace/Handle_Ops.h \
 $(ACE_ROOT)/ace/Handle_Ops.i \
 $(ACE_ROOT)/ace/Lib_Find.h \
 $(ACE_ROOT)/ace/Lib_Find.i \
 $(ACE_ROOT)/ace/Init_ACE.h \
 $(ACE_ROOT)/ace/Init_ACE.i \
 $(ACE_ROOT)/ace/Sock_Connect.h \
 $(ACE_ROOT)/ace/Sock_Connect.i \
 $(ACE_ROOT)/ace/ACE.i \
 $(ACE_ROOT)/ace/Malloc.h \
 $(ACE_ROOT)/ace/Log_Msg.h \
 $(ACE_ROOT)/ace/Log_Record.h \
 $(ACE_ROOT)/ace/Log_Priority.h \
 $(ACE_ROOT)/ace/Log_Record.i \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.h \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.inl \
 $(ACE_ROOT)/ace/Malloc.i \
 $(ACE_ROOT)/ace/Malloc_T.h \
 $(ACE_ROOT)/ace/Synch.h \
 $(ACE_ROOT)/ace/Synch.i \
 $(ACE_ROOT)/ace/Synch_T.h \
 $(ACE_ROOT)/ace/Synch_T.i \
 $(ACE_ROOT)/ace/Thread.h \
 $(ACE_ROOT)/ace/Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread.i \
 $(ACE_ROOT)/ace/Synch_T.cpp \
 $(ACE_ROOT)/ace/Malloc_Allocator.h \
 $(ACE_ROOT)/ace/Malloc_Base.h \
 $(ACE_ROOT)/ace/Malloc_Allocator.i \
 $(ACE_ROOT)/ace/Free_List.h \
 $(ACE_ROOT)/ace/Free_List.i \
 $(ACE_ROOT)/ace/Free_List.cpp \
 $(ACE_ROOT)/ace/Malloc_T.i \
 $(ACE_ROOT)/ace/Malloc_T.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.h \
 $(ACE_ROOT)/ace/Event_Handler.h \
 $(ACE_ROOT)/ace/Event_Handler.i \
 $(ACE_ROOT)/ace/Signal.h \
 $(ACE_ROOT)/ace/Signal.i \
 $(ACE_ROOT)/ace/Mem_Map.h \
 $(ACE_ROOT)/ace/Mem_Map.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.i \
 $(ACE_ROOT)/ace/Unbounded_Set.h \
 $(ACE_ROOT)/ace/Node.h \
 $(ACE_ROOT)/ace/Node.cpp \
 $(ACE_ROOT)/ace/Unbounded_Set.inl \
 $(ACE_ROOT)/ace/Unbounded_Set.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.i \
 $(ACE_ROOT)/ace/Message_Block.i \
 $(ACE_ROOT)/ace/Message_Block_T.h \
 $(ACE_ROOT)/ace/Message_Block_T.i \
 $(ACE_ROOT)/ace/Message_Block_T.cpp \
 $(ACE_ROOT)/ace/CDR_Base.inl \
 $(TAO_ROOT)/tao/try_macros.h \
 $(TAO_ROOT)/tao/orbconf.h \
 $(ACE_ROOT)/ace/CORBA_macros.h \
 $(TAO_ROOT)/tao/varbase.h \
 $(TAO_ROOT)/tao/TAO_Export.h \
 $(TAO_ROOT)/tao/corbafwd.i \
 $(TAO_ROOT)/tao/Exception.h \
 $(ACE_ROOT)/ace/SString.h \
 $(ACE_ROOT)/ace/String_Base.h \
 $(ACE_ROOT)/ace/String_Base_Const.h \
 $(ACE_ROOT)/ace/String_Base.i \
 $(ACE_ROOT)/ace/String_Base.cpp \
 $(ACE_ROOT)/ace/Auto_Ptr.h \
 $(ACE_ROOT)/ace/Auto_Ptr.i \
 $(ACE_ROOT)/ace/Auto_Ptr.cpp \
 $(ACE_ROOT)/ace/SString.i \
 $(TAO_ROOT)/tao/Exception.i \
 $(TAO_ROOT)/tao/Services.h \
 $(TAO_ROOT)/tao/Sequence.h \
 $(TAO_ROOT)/tao/Managed_Types.h \
 $(TAO_ROOT)/tao/Managed_Types.i \
 $(TAO_ROOT)/tao/Sequence.i \
 $(TAO_ROOT)/tao/Sequence_T.h \
 $(TAO_ROOT)/tao/Sequence_T.i \
 $(TAO_ROOT)/tao/Sequence_T.cpp \
 $(TAO_ROOT)/tao/Environment.h \
 $(TAO_ROOT)/tao/Environment.i \
 $(TAO_ROOT)/tao/Services.i \
 $(TAO_ROOT)/tao/CORBA_String.h \
 $(TAO_ROOT)/tao/CORBA_String.inl \
 $(TAO_ROOT)/tao/PolicyC.h \
 $(TAO_ROOT)/tao/Encodable.h \
 $(TAO_ROOT)/tao/CDR.h \
 $(ACE_ROOT)/ace/CDR_Stream.h \
 $(ACE_ROOT)/ace/CDR_Stream.i \
 $(TAO_ROOT)/tao/CDR.i \
 $(TAO_ROOT)/tao/Remote_Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/CurrentC.h \
 $(TAO_ROOT)/tao/Object.h \
 $(TAO_ROOT)/tao/Object_Proxy_Broker.h \
 $(TAO_ROOT)/tao/Object.i \
 $(TAO_ROOT)/tao/CurrentC.i \
 $(TAO_ROOT)/tao/PolicyC.i \
 $(TAO_ROOT)/tao/ORB.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.h \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.h \
 $(TAO_ROOT)/tao/IFR_Client/ifr_client_export.h \
 $(TAO_ROOT)/tao/Invocation.h \
 $(TAO_ROOT)/tao/Stub.h \
 $(TAO_ROOT)/tao/Pluggable.h \
 $(TAO_ROOT)/tao/Typecode.h \
 $(TAO_ROOT)/tao/Typecode.i \
 $(TAO_ROOT)/tao/IOPC.h \
 $(TAO_ROOT)/tao/Any.h \
 $(TAO_ROOT)/tao/Any.i \
 $(TAO_ROOT)/tao/IOPC.i \
 $(TAO_ROOT)/tao/Pluggable.i \
 $(TAO_ROOT)/tao/MProfile.h \
 $(TAO_ROOT)/tao/Profile.h \
 $(TAO_ROOT)/tao/Tagged_Components.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.i \
 $(TAO_ROOT)/tao/Tagged_Components.i \
 $(TAO_ROOT)/tao/GIOP_Message_Version.h \
 $(TAO_ROOT)/tao/GIOP_Message_Version.inl \
 $(TAO_ROOT)/tao/Profile.i \
 $(TAO_ROOT)/tao/MProfile.i \
 $(TAO_ROOT)/tao/ORB_Core.h \
 $(TAO_ROOT)/tao/Policy_Manager.h \
 $(TAO_ROOT)/tao/Policy_Set.h \
 $(TAO_ROOT)/tao/Policy_Set.i \
 $(TAO_ROOT)/tao/LocalObject.h \
 $(TAO_ROOT)/tao/LocalObject.i \
 $(TAO_ROOT)/tao/debug.h \
 $(TAO_ROOT)/tao/Policy_Manager.i \
 $(TAO_ROOT)/tao/Resource_Factory.h \
 $(ACE_ROOT)/ace/Service_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.i \
 $(ACE_ROOT)/ace/Service_Object.i \
 $(TAO_ROOT)/tao/Protocol_Factory.h \
 $(TAO_ROOT)/tao/params.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.inl \
 $(ACE_ROOT)/ace/Unbounded_Queue.cpp \
 $(TAO_ROOT)/tao/params.i \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.h \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.h \
 $(TAO_ROOT)/tao/TAO_Singleton.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.cpp \
 $(ACE_ROOT)/ace/Object_Manager.h \
 $(ACE_ROOT)/ace/Object_Manager.i \
 $(ACE_ROOT)/ace/Managed_Object.h \
 $(ACE_ROOT)/ace/Managed_Object.i \
 $(ACE_ROOT)/ace/Managed_Object.cpp \
 $(TAO_ROOT)/tao/Adapter.h \
 $(TAO_ROOT)/tao/Adapter.i \
 $(TAO_ROOT)/tao/PolicyFactory_Registry.h \
 $(TAO_ROOT)/tao/PortableInterceptorC.h \
 $(TAO_ROOT)/tao/DynamicC.h \
 $(TAO_ROOT)/tao/DynamicC.i \
 $(TAO_ROOT)/tao/MessagingC.h \
 $(TAO_ROOT)/tao/ValueBase.h \
 $(TAO_ROOT)/tao/ValueBase.i \
 $(TAO_ROOT)/tao/ValueFactory.h \
 $(TAO_ROOT)/tao/ValueFactory.i \
 $(TAO_ROOT)/tao/TimeBaseC.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.h \
 $(TAO_ROOT)/tao/SmartProxies/smartproxies_export.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.inl \
 $(TAO_ROOT)/tao/TimeBaseC.i \
 $(TAO_ROOT)/tao/PollableC.h \
 $(TAO_ROOT)/tao/PollableC.i \
 $(TAO_ROOT)/tao/MessagingC.i \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.h \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.i \
 $(TAO_ROOT)/tao/PortableInterceptorC.i \
 $(ACE_ROOT)/ace/Map_Manager.h \
 $(ACE_ROOT)/ace/Map_Manager.i \
 $(ACE_ROOT)/ace/Map_Manager.cpp \
 $(ACE_ROOT)/ace/Service_Config.h \
 $(ACE_ROOT)/ace/Service_Config.i \
 $(ACE_ROOT)/ace/Reactor.h \
 $(ACE_ROOT)/ace/Handle_Set.h \
 $(ACE_ROOT)/ace/Handle_Set.i \
 $(ACE_ROOT)/ace/Timer_Queue.h \
 $(ACE_ROOT)/ace/Timer_Queue_T.h \
 $(ACE_ROOT)/ace/Test_and_Set.h \
 $(ACE_ROOT)/ace/Test_and_Set.i \
 $(ACE_ROOT)/ace/Test_and_Set.cpp \
 $(ACE_ROOT)/ace/Timer_Queue_T.i \
 $(ACE_ROOT)/ace/Timer_Queue_T.cpp \
 $(ACE_ROOT)/ace/Reactor.i \
 $(ACE_ROOT)/ace/Reactor_Impl.h \
 $(ACE_ROOT)/ace/Svc_Conf_Tokens.h \
 $(TAO_ROOT)/tao/Parser_Registry.h \
 $(TAO_ROOT)/tao/Parser_Registry.i \
 $(TAO_ROOT)/tao/Service_Callbacks.h \
 $(TAO_ROOT)/tao/Service_Callbacks.i \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.h \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.i \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.h \
 $(ACE_ROOT)/ace/Array_Base.h \
 $(ACE_ROOT)/ace/Array_Base.inl \
 $(ACE_ROOT)/ace/Array_Base.cpp \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.inl \
 $(TAO_ROOT)/tao/Object_Ref_Table.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.h \
 $(ACE_ROOT)/ace/Functor.h \
 $(ACE_ROOT)/ace/Functor.i \
 $(ACE_ROOT)/ace/Functor_T.h \
 $(ACE_ROOT)/ace/Functor_T.i \
 $(ACE_ROOT)/ace/Functor_T.cpp \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.i \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.cpp \
 $(TAO_ROOT)/tao/Interceptor_List.h \
 $(TAO_ROOT)/tao/Interceptor_List.inl \
 $(TAO_ROOT)/tao/PICurrent.h \
 $(TAO_ROOT)/tao/PICurrent.inl \
 $(TAO_ROOT)/tao/Protocols_Hooks.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager.h \
 $(ACE_ROOT)/ace/Thread_Manager.h \
 $(ACE_ROOT)/ace/Containers.h \
 $(ACE_ROOT)/ace/Containers.i \
 $(ACE_ROOT)/ace/Containers_T.h \
 $(ACE_ROOT)/ace/Containers_T.i \
 $(ACE_ROOT)/ace/Containers_T.cpp \
 $(ACE_ROOT)/ace/Singleton.h \
 $(ACE_ROOT)/ace/Singleton.i \
 $(ACE_ROOT)/ace/Singleton.cpp \
 $(ACE_ROOT)/ace/Thread_Manager.i \
 $(TAO_ROOT)/tao/ORB_Core.i \
 $(TAO_ROOT)/tao/Stub.i \
 $(TAO_ROOT)/tao/Synch_Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.i \
 $(TAO_ROOT)/tao/LF_Event.h \
 $(TAO_ROOT)/tao/LF_Event.inl \
 $(TAO_ROOT)/tao/TAOC.h \
 $(TAO_ROOT)/tao/TAOC.i \
 $(TAO_ROOT)/tao/operation_details.h \
 $(TAO_ROOT)/tao/Service_Context.h \
 $(TAO_ROOT)/tao/Service_Context.inl \
 $(TAO_ROOT)/tao/target_specification.h \
 $(TAO_ROOT)/tao/Object_KeyC.h \
 $(TAO_ROOT)/tao/Object_KeyC.i \
 $(TAO_ROOT)/tao/target_specification.i \
 $(TAO_ROOT)/tao/operation_details.i \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.h \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.i \
 $(TAO_ROOT)/tao/Invocation.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.i

.obj/be_produce.o .obj/be_produce.so .shobj/be_produce.o .shobj/be_produce.so: be_produce.cpp ../../TAO_IDL/include/idl.h \
 $(ACE_ROOT)/ace/ACE.h \
 $(ACE_ROOT)/ace/pre.h \
 $(ACE_ROOT)/ace/OS.h \
 $(ACE_ROOT)/ace/post.h \
 $(ACE_ROOT)/ace/ACE_export.h \
 $(ACE_ROOT)/ace/svc_export.h \
 $(ACE_ROOT)/ace/ace_wchar.h \
 $(ACE_ROOT)/ace/ace_wchar.inl \
 $(ACE_ROOT)/ace/OS_Errno.h \
 $(ACE_ROOT)/ace/OS_Export.h \
 $(ACE_ROOT)/ace/OS_Errno.inl \
 $(ACE_ROOT)/ace/OS_Dirent.h \
 $(ACE_ROOT)/ace/OS_Dirent.inl \
 $(ACE_ROOT)/ace/OS_String.h \
 $(ACE_ROOT)/ace/Basic_Types.h \
 $(ACE_ROOT)/ace/Basic_Types.i \
 $(ACE_ROOT)/ace/OS_String.inl \
 $(ACE_ROOT)/ace/OS_Memory.h \
 $(ACE_ROOT)/ace/OS_Memory.inl \
 $(ACE_ROOT)/ace/OS_TLI.h \
 $(ACE_ROOT)/ace/OS_TLI.inl \
 $(ACE_ROOT)/ace/Default_Constants.h \
 $(ACE_ROOT)/ace/Global_Macros.h \
 $(ACE_ROOT)/ace/Min_Max.h \
 $(ACE_ROOT)/ace/streams.h \
 $(ACE_ROOT)/ace/Trace.h \
 $(ACE_ROOT)/ace/OS.i \
 $(ACE_ROOT)/ace/Flag_Manip.h \
 $(ACE_ROOT)/ace/Flag_Manip.i \
 $(ACE_ROOT)/ace/Handle_Ops.h \
 $(ACE_ROOT)/ace/Handle_Ops.i \
 $(ACE_ROOT)/ace/Lib_Find.h \
 $(ACE_ROOT)/ace/Lib_Find.i \
 $(ACE_ROOT)/ace/Init_ACE.h \
 $(ACE_ROOT)/ace/Init_ACE.i \
 $(ACE_ROOT)/ace/Sock_Connect.h \
 $(ACE_ROOT)/ace/Sock_Connect.i \
 $(ACE_ROOT)/ace/ACE.i \
 ../../TAO_IDL/include/TAO_IDL_FE_Export.h \
 ../../TAO_IDL/include/idl_narrow.h \
 ../../TAO_IDL/include/idl_defines.h ../../TAO_IDL/include/idl_fwd.h \
 ../../TAO_IDL/include/idl_bool.h ../../TAO_IDL/include/utl_string.h \
 ../../TAO_IDL/include/utl_identifier.h ../../TAO_IDL/include/ast.h \
 ../../TAO_IDL/include/ast_visitor.h \
 ../../TAO_IDL/include/utl_scoped_name.h \
 ../../TAO_IDL/include/ast_decl.h \
 ../../TAO_IDL/include/ast_expression.h \
 $(ACE_ROOT)/ace/CDR_Stream.h \
 $(ACE_ROOT)/ace/CDR_Base.h \
 $(ACE_ROOT)/ace/Message_Block.h \
 $(ACE_ROOT)/ace/Malloc.h \
 $(ACE_ROOT)/ace/Log_Msg.h \
 $(ACE_ROOT)/ace/Log_Record.h \
 $(ACE_ROOT)/ace/Log_Priority.h \
 $(ACE_ROOT)/ace/Log_Record.i \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.h \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.inl \
 $(ACE_ROOT)/ace/Malloc.i \
 $(ACE_ROOT)/ace/Malloc_T.h \
 $(ACE_ROOT)/ace/Synch.h \
 $(ACE_ROOT)/ace/Synch.i \
 $(ACE_ROOT)/ace/Synch_T.h \
 $(ACE_ROOT)/ace/Synch_T.i \
 $(ACE_ROOT)/ace/Thread.h \
 $(ACE_ROOT)/ace/Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread.i \
 $(ACE_ROOT)/ace/Synch_T.cpp \
 $(ACE_ROOT)/ace/Malloc_Allocator.h \
 $(ACE_ROOT)/ace/Malloc_Base.h \
 $(ACE_ROOT)/ace/Malloc_Allocator.i \
 $(ACE_ROOT)/ace/Free_List.h \
 $(ACE_ROOT)/ace/Free_List.i \
 $(ACE_ROOT)/ace/Free_List.cpp \
 $(ACE_ROOT)/ace/Malloc_T.i \
 $(ACE_ROOT)/ace/Malloc_T.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.h \
 $(ACE_ROOT)/ace/Event_Handler.h \
 $(ACE_ROOT)/ace/Event_Handler.i \
 $(ACE_ROOT)/ace/Signal.h \
 $(ACE_ROOT)/ace/Signal.i \
 $(ACE_ROOT)/ace/Mem_Map.h \
 $(ACE_ROOT)/ace/Mem_Map.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.i \
 $(ACE_ROOT)/ace/Unbounded_Set.h \
 $(ACE_ROOT)/ace/Node.h \
 $(ACE_ROOT)/ace/Node.cpp \
 $(ACE_ROOT)/ace/Unbounded_Set.inl \
 $(ACE_ROOT)/ace/Unbounded_Set.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.i \
 $(ACE_ROOT)/ace/Message_Block.i \
 $(ACE_ROOT)/ace/Message_Block_T.h \
 $(ACE_ROOT)/ace/Message_Block_T.i \
 $(ACE_ROOT)/ace/Message_Block_T.cpp \
 $(ACE_ROOT)/ace/CDR_Base.inl \
 $(ACE_ROOT)/ace/SString.h \
 $(ACE_ROOT)/ace/String_Base.h \
 $(ACE_ROOT)/ace/String_Base_Const.h \
 $(ACE_ROOT)/ace/String_Base.i \
 $(ACE_ROOT)/ace/String_Base.cpp \
 $(ACE_ROOT)/ace/Auto_Ptr.h \
 $(ACE_ROOT)/ace/Auto_Ptr.i \
 $(ACE_ROOT)/ace/Auto_Ptr.cpp \
 $(ACE_ROOT)/ace/SString.i \
 $(ACE_ROOT)/ace/CDR_Stream.i \
 ../../TAO_IDL/include/utl_scope.h ../../TAO_IDL/include/ast_type.h \
 ../../TAO_IDL/include/ast_concrete_type.h \
 ../../TAO_IDL/include/ast_predefined_type.h \
 ../../TAO_IDL/include/ast_module.h ../../TAO_IDL/include/ast_root.h \
 ../../TAO_IDL/include/ast_interface.h \
 ../../TAO_IDL/include/ast_interface_fwd.h \
 ../../TAO_IDL/include/ast_structure.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.inl \
 $(ACE_ROOT)/ace/Unbounded_Queue.cpp \
 ../../TAO_IDL/include/ast_exception.h \
 ../../TAO_IDL/include/ast_enum.h \
 ../../TAO_IDL/include/ast_operation.h \
 ../../TAO_IDL/include/utl_list.h ../../TAO_IDL/include/ast_field.h \
 ../../TAO_IDL/include/ast_argument.h \
 ../../TAO_IDL/include/ast_attribute.h \
 ../../TAO_IDL/include/ast_union.h \
 ../../TAO_IDL/include/ast_union_branch.h \
 ../../TAO_IDL/include/ast_union_label.h \
 ../../TAO_IDL/include/ast_constant.h \
 ../../TAO_IDL/include/ast_enum_val.h \
 ../../TAO_IDL/include/ast_array.h \
 ../../TAO_IDL/include/ast_sequence.h \
 ../../TAO_IDL/include/ast_string.h \
 ../../TAO_IDL/include/ast_typedef.h \
 ../../TAO_IDL/include/ast_native.h \
 ../../TAO_IDL/include/ast_factory.h \
 ../../TAO_IDL/include/utl_strlist.h \
 ../../TAO_IDL/include/utl_exprlist.h \
 ../../TAO_IDL/include/ast_generator.h ../../TAO_IDL/include/util.h \
 ../../TAO_IDL/include/utl_stack.h ../../TAO_IDL/include/utl_idlist.h \
 ../../TAO_IDL/include/utl_exceptlist.h \
 ../../TAO_IDL/include/utl_namelist.h \
 ../../TAO_IDL/include/utl_labellist.h \
 ../../TAO_IDL/include/utl_decllist.h \
 ../../TAO_IDL/include/idl_global.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.h \
 $(ACE_ROOT)/ace/Functor.h \
 $(ACE_ROOT)/ace/Functor.i \
 $(ACE_ROOT)/ace/Functor_T.h \
 $(ACE_ROOT)/ace/Functor_T.i \
 $(ACE_ROOT)/ace/Functor_T.cpp \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.i \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.cpp \
 $(ACE_ROOT)/ace/Service_Config.h \
 $(ACE_ROOT)/ace/Service_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.i \
 $(ACE_ROOT)/ace/Service_Object.i \
 $(ACE_ROOT)/ace/Service_Config.i \
 $(ACE_ROOT)/ace/Reactor.h \
 $(ACE_ROOT)/ace/Handle_Set.h \
 $(ACE_ROOT)/ace/Handle_Set.i \
 $(ACE_ROOT)/ace/Timer_Queue.h \
 $(ACE_ROOT)/ace/Timer_Queue_T.h \
 $(ACE_ROOT)/ace/Test_and_Set.h \
 $(ACE_ROOT)/ace/Test_and_Set.i \
 $(ACE_ROOT)/ace/Test_and_Set.cpp \
 $(ACE_ROOT)/ace/Timer_Queue_T.i \
 $(ACE_ROOT)/ace/Timer_Queue_T.cpp \
 $(ACE_ROOT)/ace/Reactor.i \
 $(ACE_ROOT)/ace/Reactor_Impl.h \
 $(ACE_ROOT)/ace/Svc_Conf_Tokens.h \
 $(ACE_ROOT)/ace/Containers_T.h \
 $(ACE_ROOT)/ace/Containers.h \
 $(ACE_ROOT)/ace/Containers.i \
 $(ACE_ROOT)/ace/Array_Base.h \
 $(ACE_ROOT)/ace/Array_Base.inl \
 $(ACE_ROOT)/ace/Array_Base.cpp \
 $(ACE_ROOT)/ace/Containers_T.i \
 $(ACE_ROOT)/ace/Containers_T.cpp \
 ../../TAO_IDL/include/utl_err.h ../../TAO_IDL/include/utl_indenter.h \
 ../../TAO_IDL/include/idl_extern.h ../../TAO_IDL/include/fe_extern.h \
 ../../TAO_IDL/include/ast_extern.h ../../TAO_IDL/include/nr_extern.h \
 ../../TAO_IDL/include/global_extern.h TAO_IFR_BE_Export.h be_extern.h \
 be_global.h $(TAO_ROOT)/tao/ORB.h \
 $(TAO_ROOT)/tao/corbafwd.h \
 $(TAO_ROOT)/tao/try_macros.h \
 $(TAO_ROOT)/tao/orbconf.h \
 $(ACE_ROOT)/ace/CORBA_macros.h \
 $(TAO_ROOT)/tao/varbase.h \
 $(TAO_ROOT)/tao/TAO_Export.h \
 $(TAO_ROOT)/tao/corbafwd.i \
 $(TAO_ROOT)/tao/Exception.h \
 $(TAO_ROOT)/tao/Exception.i \
 $(TAO_ROOT)/tao/Services.h \
 $(TAO_ROOT)/tao/Sequence.h \
 $(TAO_ROOT)/tao/Managed_Types.h \
 $(TAO_ROOT)/tao/Managed_Types.i \
 $(TAO_ROOT)/tao/Sequence.i \
 $(TAO_ROOT)/tao/Sequence_T.h \
 $(TAO_ROOT)/tao/Sequence_T.i \
 $(TAO_ROOT)/tao/Sequence_T.cpp \
 $(TAO_ROOT)/tao/Environment.h \
 $(TAO_ROOT)/tao/Environment.i \
 $(TAO_ROOT)/tao/Services.i \
 $(TAO_ROOT)/tao/CORBA_String.h \
 $(TAO_ROOT)/tao/CORBA_String.inl \
 $(TAO_ROOT)/tao/PolicyC.h \
 $(TAO_ROOT)/tao/Encodable.h \
 $(TAO_ROOT)/tao/CDR.h \
 $(TAO_ROOT)/tao/CDR.i \
 $(TAO_ROOT)/tao/Remote_Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/CurrentC.h \
 $(TAO_ROOT)/tao/Object.h \
 $(TAO_ROOT)/tao/Object_Proxy_Broker.h \
 $(TAO_ROOT)/tao/Object.i \
 $(TAO_ROOT)/tao/CurrentC.i \
 $(TAO_ROOT)/tao/PolicyC.i \
 $(TAO_ROOT)/tao/ORB.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.h \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.h \
 $(TAO_ROOT)/tao/IFR_Client/ifr_client_export.h \
 $(TAO_ROOT)/tao/Invocation.h \
 $(TAO_ROOT)/tao/Stub.h \
 $(TAO_ROOT)/tao/Pluggable.h \
 $(TAO_ROOT)/tao/Typecode.h \
 $(TAO_ROOT)/tao/Typecode.i \
 $(TAO_ROOT)/tao/IOPC.h \
 $(TAO_ROOT)/tao/Any.h \
 $(TAO_ROOT)/tao/Any.i \
 $(TAO_ROOT)/tao/IOPC.i \
 $(TAO_ROOT)/tao/Pluggable.i \
 $(TAO_ROOT)/tao/MProfile.h \
 $(TAO_ROOT)/tao/Profile.h \
 $(TAO_ROOT)/tao/Tagged_Components.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.i \
 $(TAO_ROOT)/tao/Tagged_Components.i \
 $(TAO_ROOT)/tao/GIOP_Message_Version.h \
 $(TAO_ROOT)/tao/GIOP_Message_Version.inl \
 $(TAO_ROOT)/tao/Profile.i \
 $(TAO_ROOT)/tao/MProfile.i \
 $(TAO_ROOT)/tao/ORB_Core.h \
 $(TAO_ROOT)/tao/Policy_Manager.h \
 $(TAO_ROOT)/tao/Policy_Set.h \
 $(TAO_ROOT)/tao/Policy_Set.i \
 $(TAO_ROOT)/tao/LocalObject.h \
 $(TAO_ROOT)/tao/LocalObject.i \
 $(TAO_ROOT)/tao/debug.h \
 $(TAO_ROOT)/tao/Policy_Manager.i \
 $(TAO_ROOT)/tao/Resource_Factory.h \
 $(TAO_ROOT)/tao/Protocol_Factory.h \
 $(TAO_ROOT)/tao/params.h \
 $(TAO_ROOT)/tao/params.i \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.h \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.h \
 $(TAO_ROOT)/tao/TAO_Singleton.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.cpp \
 $(ACE_ROOT)/ace/Object_Manager.h \
 $(ACE_ROOT)/ace/Object_Manager.i \
 $(ACE_ROOT)/ace/Managed_Object.h \
 $(ACE_ROOT)/ace/Managed_Object.i \
 $(ACE_ROOT)/ace/Managed_Object.cpp \
 $(TAO_ROOT)/tao/Adapter.h \
 $(TAO_ROOT)/tao/Adapter.i \
 $(TAO_ROOT)/tao/PolicyFactory_Registry.h \
 $(TAO_ROOT)/tao/PortableInterceptorC.h \
 $(TAO_ROOT)/tao/DynamicC.h \
 $(TAO_ROOT)/tao/DynamicC.i \
 $(TAO_ROOT)/tao/MessagingC.h \
 $(TAO_ROOT)/tao/ValueBase.h \
 $(TAO_ROOT)/tao/ValueBase.i \
 $(TAO_ROOT)/tao/ValueFactory.h \
 $(TAO_ROOT)/tao/ValueFactory.i \
 $(TAO_ROOT)/tao/TimeBaseC.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.h \
 $(TAO_ROOT)/tao/SmartProxies/smartproxies_export.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.inl \
 $(TAO_ROOT)/tao/TimeBaseC.i \
 $(TAO_ROOT)/tao/PollableC.h \
 $(TAO_ROOT)/tao/PollableC.i \
 $(TAO_ROOT)/tao/MessagingC.i \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.h \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.i \
 $(TAO_ROOT)/tao/PortableInterceptorC.i \
 $(ACE_ROOT)/ace/Map_Manager.h \
 $(ACE_ROOT)/ace/Map_Manager.i \
 $(ACE_ROOT)/ace/Map_Manager.cpp \
 $(TAO_ROOT)/tao/Parser_Registry.h \
 $(TAO_ROOT)/tao/Parser_Registry.i \
 $(TAO_ROOT)/tao/Service_Callbacks.h \
 $(TAO_ROOT)/tao/Service_Callbacks.i \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.h \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.i \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.h \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.inl \
 $(TAO_ROOT)/tao/Object_Ref_Table.h \
 $(TAO_ROOT)/tao/Interceptor_List.h \
 $(TAO_ROOT)/tao/Interceptor_List.inl \
 $(TAO_ROOT)/tao/PICurrent.h \
 $(TAO_ROOT)/tao/PICurrent.inl \
 $(TAO_ROOT)/tao/Protocols_Hooks.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager.h \
 $(ACE_ROOT)/ace/Thread_Manager.h \
 $(ACE_ROOT)/ace/Singleton.h \
 $(ACE_ROOT)/ace/Singleton.i \
 $(ACE_ROOT)/ace/Singleton.cpp \
 $(ACE_ROOT)/ace/Thread_Manager.i \
 $(TAO_ROOT)/tao/ORB_Core.i \
 $(TAO_ROOT)/tao/Stub.i \
 $(TAO_ROOT)/tao/Synch_Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.i \
 $(TAO_ROOT)/tao/LF_Event.h \
 $(TAO_ROOT)/tao/LF_Event.inl \
 $(TAO_ROOT)/tao/TAOC.h \
 $(TAO_ROOT)/tao/TAOC.i \
 $(TAO_ROOT)/tao/operation_details.h \
 $(TAO_ROOT)/tao/Service_Context.h \
 $(TAO_ROOT)/tao/Service_Context.inl \
 $(TAO_ROOT)/tao/target_specification.h \
 $(TAO_ROOT)/tao/Object_KeyC.h \
 $(TAO_ROOT)/tao/Object_KeyC.i \
 $(TAO_ROOT)/tao/target_specification.i \
 $(TAO_ROOT)/tao/operation_details.i \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.h \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.i \
 $(TAO_ROOT)/tao/Invocation.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.i \
 ifr_visitor_macro.h ifr_removing_visitor.h ifr_visitor.h \
 ifr_adding_visitor.h

.obj/ifr_adding_visitor.o .obj/ifr_adding_visitor.so .shobj/ifr_adding_visitor.o .shobj/ifr_adding_visitor.so: ifr_adding_visitor.cpp ifr_adding_visitor.h \
 ifr_visitor.h ../../TAO_IDL/include/ast_visitor.h \
 ../../TAO_IDL/include/TAO_IDL_FE_Export.h \
 $(ACE_ROOT)/ace/pre.h \
 $(ACE_ROOT)/ace/post.h \
 $(ACE_ROOT)/ace/ACE_export.h \
 $(ACE_ROOT)/ace/svc_export.h \
 $(ACE_ROOT)/ace/ace_wchar.h \
 $(ACE_ROOT)/ace/ace_wchar.inl \
 $(ACE_ROOT)/ace/OS_Errno.h \
 $(ACE_ROOT)/ace/OS_Export.h \
 $(ACE_ROOT)/ace/OS_Errno.inl \
 be_extern.h TAO_IFR_BE_Export.h be_global.h \
 ../../TAO_IDL/include/idl_bool.h \
 $(TAO_ROOT)/tao/ORB.h \
 $(TAO_ROOT)/tao/corbafwd.h \
 $(ACE_ROOT)/ace/CDR_Base.h \
 $(ACE_ROOT)/ace/Basic_Types.h \
 $(ACE_ROOT)/ace/Basic_Types.i \
 $(ACE_ROOT)/ace/Message_Block.h \
 $(ACE_ROOT)/ace/ACE.h \
 $(ACE_ROOT)/ace/OS.h \
 $(ACE_ROOT)/ace/OS_Dirent.h \
 $(ACE_ROOT)/ace/OS_Dirent.inl \
 $(ACE_ROOT)/ace/OS_String.h \
 $(ACE_ROOT)/ace/OS_String.inl \
 $(ACE_ROOT)/ace/OS_Memory.h \
 $(ACE_ROOT)/ace/OS_Memory.inl \
 $(ACE_ROOT)/ace/OS_TLI.h \
 $(ACE_ROOT)/ace/OS_TLI.inl \
 $(ACE_ROOT)/ace/Default_Constants.h \
 $(ACE_ROOT)/ace/Global_Macros.h \
 $(ACE_ROOT)/ace/Min_Max.h \
 $(ACE_ROOT)/ace/streams.h \
 $(ACE_ROOT)/ace/Trace.h \
 $(ACE_ROOT)/ace/OS.i \
 $(ACE_ROOT)/ace/Flag_Manip.h \
 $(ACE_ROOT)/ace/Flag_Manip.i \
 $(ACE_ROOT)/ace/Handle_Ops.h \
 $(ACE_ROOT)/ace/Handle_Ops.i \
 $(ACE_ROOT)/ace/Lib_Find.h \
 $(ACE_ROOT)/ace/Lib_Find.i \
 $(ACE_ROOT)/ace/Init_ACE.h \
 $(ACE_ROOT)/ace/Init_ACE.i \
 $(ACE_ROOT)/ace/Sock_Connect.h \
 $(ACE_ROOT)/ace/Sock_Connect.i \
 $(ACE_ROOT)/ace/ACE.i \
 $(ACE_ROOT)/ace/Malloc.h \
 $(ACE_ROOT)/ace/Log_Msg.h \
 $(ACE_ROOT)/ace/Log_Record.h \
 $(ACE_ROOT)/ace/Log_Priority.h \
 $(ACE_ROOT)/ace/Log_Record.i \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.h \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.inl \
 $(ACE_ROOT)/ace/Malloc.i \
 $(ACE_ROOT)/ace/Malloc_T.h \
 $(ACE_ROOT)/ace/Synch.h \
 $(ACE_ROOT)/ace/Synch.i \
 $(ACE_ROOT)/ace/Synch_T.h \
 $(ACE_ROOT)/ace/Synch_T.i \
 $(ACE_ROOT)/ace/Thread.h \
 $(ACE_ROOT)/ace/Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread.i \
 $(ACE_ROOT)/ace/Synch_T.cpp \
 $(ACE_ROOT)/ace/Malloc_Allocator.h \
 $(ACE_ROOT)/ace/Malloc_Base.h \
 $(ACE_ROOT)/ace/Malloc_Allocator.i \
 $(ACE_ROOT)/ace/Free_List.h \
 $(ACE_ROOT)/ace/Free_List.i \
 $(ACE_ROOT)/ace/Free_List.cpp \
 $(ACE_ROOT)/ace/Malloc_T.i \
 $(ACE_ROOT)/ace/Malloc_T.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.h \
 $(ACE_ROOT)/ace/Event_Handler.h \
 $(ACE_ROOT)/ace/Event_Handler.i \
 $(ACE_ROOT)/ace/Signal.h \
 $(ACE_ROOT)/ace/Signal.i \
 $(ACE_ROOT)/ace/Mem_Map.h \
 $(ACE_ROOT)/ace/Mem_Map.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.i \
 $(ACE_ROOT)/ace/Unbounded_Set.h \
 $(ACE_ROOT)/ace/Node.h \
 $(ACE_ROOT)/ace/Node.cpp \
 $(ACE_ROOT)/ace/Unbounded_Set.inl \
 $(ACE_ROOT)/ace/Unbounded_Set.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.i \
 $(ACE_ROOT)/ace/Message_Block.i \
 $(ACE_ROOT)/ace/Message_Block_T.h \
 $(ACE_ROOT)/ace/Message_Block_T.i \
 $(ACE_ROOT)/ace/Message_Block_T.cpp \
 $(ACE_ROOT)/ace/CDR_Base.inl \
 $(TAO_ROOT)/tao/try_macros.h \
 $(TAO_ROOT)/tao/orbconf.h \
 $(ACE_ROOT)/ace/CORBA_macros.h \
 $(TAO_ROOT)/tao/varbase.h \
 $(TAO_ROOT)/tao/TAO_Export.h \
 $(TAO_ROOT)/tao/corbafwd.i \
 $(TAO_ROOT)/tao/Exception.h \
 $(ACE_ROOT)/ace/SString.h \
 $(ACE_ROOT)/ace/String_Base.h \
 $(ACE_ROOT)/ace/String_Base_Const.h \
 $(ACE_ROOT)/ace/String_Base.i \
 $(ACE_ROOT)/ace/String_Base.cpp \
 $(ACE_ROOT)/ace/Auto_Ptr.h \
 $(ACE_ROOT)/ace/Auto_Ptr.i \
 $(ACE_ROOT)/ace/Auto_Ptr.cpp \
 $(ACE_ROOT)/ace/SString.i \
 $(TAO_ROOT)/tao/Exception.i \
 $(TAO_ROOT)/tao/Services.h \
 $(TAO_ROOT)/tao/Sequence.h \
 $(TAO_ROOT)/tao/Managed_Types.h \
 $(TAO_ROOT)/tao/Managed_Types.i \
 $(TAO_ROOT)/tao/Sequence.i \
 $(TAO_ROOT)/tao/Sequence_T.h \
 $(TAO_ROOT)/tao/Sequence_T.i \
 $(TAO_ROOT)/tao/Sequence_T.cpp \
 $(TAO_ROOT)/tao/Environment.h \
 $(TAO_ROOT)/tao/Environment.i \
 $(TAO_ROOT)/tao/Services.i \
 $(TAO_ROOT)/tao/CORBA_String.h \
 $(TAO_ROOT)/tao/CORBA_String.inl \
 $(TAO_ROOT)/tao/PolicyC.h \
 $(TAO_ROOT)/tao/Encodable.h \
 $(TAO_ROOT)/tao/CDR.h \
 $(ACE_ROOT)/ace/CDR_Stream.h \
 $(ACE_ROOT)/ace/CDR_Stream.i \
 $(TAO_ROOT)/tao/CDR.i \
 $(TAO_ROOT)/tao/Remote_Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/CurrentC.h \
 $(TAO_ROOT)/tao/Object.h \
 $(TAO_ROOT)/tao/Object_Proxy_Broker.h \
 $(TAO_ROOT)/tao/Object.i \
 $(TAO_ROOT)/tao/CurrentC.i \
 $(TAO_ROOT)/tao/PolicyC.i \
 $(TAO_ROOT)/tao/ORB.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.h \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.h \
 $(TAO_ROOT)/tao/IFR_Client/ifr_client_export.h \
 $(TAO_ROOT)/tao/Invocation.h \
 $(TAO_ROOT)/tao/Stub.h \
 $(TAO_ROOT)/tao/Pluggable.h \
 $(TAO_ROOT)/tao/Typecode.h \
 $(TAO_ROOT)/tao/Typecode.i \
 $(TAO_ROOT)/tao/IOPC.h \
 $(TAO_ROOT)/tao/Any.h \
 $(TAO_ROOT)/tao/Any.i \
 $(TAO_ROOT)/tao/IOPC.i \
 $(TAO_ROOT)/tao/Pluggable.i \
 $(TAO_ROOT)/tao/MProfile.h \
 $(TAO_ROOT)/tao/Profile.h \
 $(TAO_ROOT)/tao/Tagged_Components.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.i \
 $(TAO_ROOT)/tao/Tagged_Components.i \
 $(TAO_ROOT)/tao/GIOP_Message_Version.h \
 $(TAO_ROOT)/tao/GIOP_Message_Version.inl \
 $(TAO_ROOT)/tao/Profile.i \
 $(TAO_ROOT)/tao/MProfile.i \
 $(TAO_ROOT)/tao/ORB_Core.h \
 $(TAO_ROOT)/tao/Policy_Manager.h \
 $(TAO_ROOT)/tao/Policy_Set.h \
 $(TAO_ROOT)/tao/Policy_Set.i \
 $(TAO_ROOT)/tao/LocalObject.h \
 $(TAO_ROOT)/tao/LocalObject.i \
 $(TAO_ROOT)/tao/debug.h \
 $(TAO_ROOT)/tao/Policy_Manager.i \
 $(TAO_ROOT)/tao/Resource_Factory.h \
 $(ACE_ROOT)/ace/Service_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.i \
 $(ACE_ROOT)/ace/Service_Object.i \
 $(TAO_ROOT)/tao/Protocol_Factory.h \
 $(TAO_ROOT)/tao/params.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.inl \
 $(ACE_ROOT)/ace/Unbounded_Queue.cpp \
 $(TAO_ROOT)/tao/params.i \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.h \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.h \
 $(TAO_ROOT)/tao/TAO_Singleton.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.cpp \
 $(ACE_ROOT)/ace/Object_Manager.h \
 $(ACE_ROOT)/ace/Object_Manager.i \
 $(ACE_ROOT)/ace/Managed_Object.h \
 $(ACE_ROOT)/ace/Managed_Object.i \
 $(ACE_ROOT)/ace/Managed_Object.cpp \
 $(TAO_ROOT)/tao/Adapter.h \
 $(TAO_ROOT)/tao/Adapter.i \
 $(TAO_ROOT)/tao/PolicyFactory_Registry.h \
 $(TAO_ROOT)/tao/PortableInterceptorC.h \
 $(TAO_ROOT)/tao/DynamicC.h \
 $(TAO_ROOT)/tao/DynamicC.i \
 $(TAO_ROOT)/tao/MessagingC.h \
 $(TAO_ROOT)/tao/ValueBase.h \
 $(TAO_ROOT)/tao/ValueBase.i \
 $(TAO_ROOT)/tao/ValueFactory.h \
 $(TAO_ROOT)/tao/ValueFactory.i \
 $(TAO_ROOT)/tao/TimeBaseC.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.h \
 $(TAO_ROOT)/tao/SmartProxies/smartproxies_export.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.inl \
 $(TAO_ROOT)/tao/TimeBaseC.i \
 $(TAO_ROOT)/tao/PollableC.h \
 $(TAO_ROOT)/tao/PollableC.i \
 $(TAO_ROOT)/tao/MessagingC.i \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.h \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.i \
 $(TAO_ROOT)/tao/PortableInterceptorC.i \
 $(ACE_ROOT)/ace/Map_Manager.h \
 $(ACE_ROOT)/ace/Map_Manager.i \
 $(ACE_ROOT)/ace/Map_Manager.cpp \
 $(ACE_ROOT)/ace/Service_Config.h \
 $(ACE_ROOT)/ace/Service_Config.i \
 $(ACE_ROOT)/ace/Reactor.h \
 $(ACE_ROOT)/ace/Handle_Set.h \
 $(ACE_ROOT)/ace/Handle_Set.i \
 $(ACE_ROOT)/ace/Timer_Queue.h \
 $(ACE_ROOT)/ace/Timer_Queue_T.h \
 $(ACE_ROOT)/ace/Test_and_Set.h \
 $(ACE_ROOT)/ace/Test_and_Set.i \
 $(ACE_ROOT)/ace/Test_and_Set.cpp \
 $(ACE_ROOT)/ace/Timer_Queue_T.i \
 $(ACE_ROOT)/ace/Timer_Queue_T.cpp \
 $(ACE_ROOT)/ace/Reactor.i \
 $(ACE_ROOT)/ace/Reactor_Impl.h \
 $(ACE_ROOT)/ace/Svc_Conf_Tokens.h \
 $(TAO_ROOT)/tao/Parser_Registry.h \
 $(TAO_ROOT)/tao/Parser_Registry.i \
 $(TAO_ROOT)/tao/Service_Callbacks.h \
 $(TAO_ROOT)/tao/Service_Callbacks.i \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.h \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.i \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.h \
 $(ACE_ROOT)/ace/Array_Base.h \
 $(ACE_ROOT)/ace/Array_Base.inl \
 $(ACE_ROOT)/ace/Array_Base.cpp \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.inl \
 $(TAO_ROOT)/tao/Object_Ref_Table.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.h \
 $(ACE_ROOT)/ace/Functor.h \
 $(ACE_ROOT)/ace/Functor.i \
 $(ACE_ROOT)/ace/Functor_T.h \
 $(ACE_ROOT)/ace/Functor_T.i \
 $(ACE_ROOT)/ace/Functor_T.cpp \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.i \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.cpp \
 $(TAO_ROOT)/tao/Interceptor_List.h \
 $(TAO_ROOT)/tao/Interceptor_List.inl \
 $(TAO_ROOT)/tao/PICurrent.h \
 $(TAO_ROOT)/tao/PICurrent.inl \
 $(TAO_ROOT)/tao/Protocols_Hooks.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager.h \
 $(ACE_ROOT)/ace/Thread_Manager.h \
 $(ACE_ROOT)/ace/Containers.h \
 $(ACE_ROOT)/ace/Containers.i \
 $(ACE_ROOT)/ace/Containers_T.h \
 $(ACE_ROOT)/ace/Containers_T.i \
 $(ACE_ROOT)/ace/Containers_T.cpp \
 $(ACE_ROOT)/ace/Singleton.h \
 $(ACE_ROOT)/ace/Singleton.i \
 $(ACE_ROOT)/ace/Singleton.cpp \
 $(ACE_ROOT)/ace/Thread_Manager.i \
 $(TAO_ROOT)/tao/ORB_Core.i \
 $(TAO_ROOT)/tao/Stub.i \
 $(TAO_ROOT)/tao/Synch_Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.i \
 $(TAO_ROOT)/tao/LF_Event.h \
 $(TAO_ROOT)/tao/LF_Event.inl \
 $(TAO_ROOT)/tao/TAOC.h \
 $(TAO_ROOT)/tao/TAOC.i \
 $(TAO_ROOT)/tao/operation_details.h \
 $(TAO_ROOT)/tao/Service_Context.h \
 $(TAO_ROOT)/tao/Service_Context.inl \
 $(TAO_ROOT)/tao/target_specification.h \
 $(TAO_ROOT)/tao/Object_KeyC.h \
 $(TAO_ROOT)/tao/Object_KeyC.i \
 $(TAO_ROOT)/tao/target_specification.i \
 $(TAO_ROOT)/tao/operation_details.i \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.h \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.i \
 $(TAO_ROOT)/tao/Invocation.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.i \
 ../../TAO_IDL/include/idl.h ../../TAO_IDL/include/idl_narrow.h \
 ../../TAO_IDL/include/idl_defines.h ../../TAO_IDL/include/idl_fwd.h \
 ../../TAO_IDL/include/utl_string.h \
 ../../TAO_IDL/include/utl_identifier.h ../../TAO_IDL/include/ast.h \
 ../../TAO_IDL/include/utl_scoped_name.h \
 ../../TAO_IDL/include/ast_decl.h \
 ../../TAO_IDL/include/ast_expression.h \
 ../../TAO_IDL/include/utl_scope.h ../../TAO_IDL/include/ast_type.h \
 ../../TAO_IDL/include/ast_concrete_type.h \
 ../../TAO_IDL/include/ast_predefined_type.h \
 ../../TAO_IDL/include/ast_module.h ../../TAO_IDL/include/ast_root.h \
 ../../TAO_IDL/include/ast_interface.h \
 ../../TAO_IDL/include/ast_interface_fwd.h \
 ../../TAO_IDL/include/ast_structure.h \
 ../../TAO_IDL/include/ast_exception.h \
 ../../TAO_IDL/include/ast_enum.h \
 ../../TAO_IDL/include/ast_operation.h \
 ../../TAO_IDL/include/utl_list.h ../../TAO_IDL/include/ast_field.h \
 ../../TAO_IDL/include/ast_argument.h \
 ../../TAO_IDL/include/ast_attribute.h \
 ../../TAO_IDL/include/ast_union.h \
 ../../TAO_IDL/include/ast_union_branch.h \
 ../../TAO_IDL/include/ast_union_label.h \
 ../../TAO_IDL/include/ast_constant.h \
 ../../TAO_IDL/include/ast_enum_val.h \
 ../../TAO_IDL/include/ast_array.h \
 ../../TAO_IDL/include/ast_sequence.h \
 ../../TAO_IDL/include/ast_string.h \
 ../../TAO_IDL/include/ast_typedef.h \
 ../../TAO_IDL/include/ast_native.h \
 ../../TAO_IDL/include/ast_factory.h \
 ../../TAO_IDL/include/utl_strlist.h \
 ../../TAO_IDL/include/utl_exprlist.h \
 ../../TAO_IDL/include/ast_generator.h ../../TAO_IDL/include/util.h \
 ../../TAO_IDL/include/utl_stack.h ../../TAO_IDL/include/utl_idlist.h \
 ../../TAO_IDL/include/utl_exceptlist.h \
 ../../TAO_IDL/include/utl_namelist.h \
 ../../TAO_IDL/include/utl_labellist.h \
 ../../TAO_IDL/include/utl_decllist.h \
 ../../TAO_IDL/include/idl_global.h ../../TAO_IDL/include/utl_err.h \
 ../../TAO_IDL/include/utl_indenter.h ifr_adding_visitor_operation.h \
 ifr_adding_visitor_structure.h ifr_adding_visitor_exception.h \
 ifr_adding_visitor_union.h

.obj/ifr_adding_visitor_exception.o .obj/ifr_adding_visitor_exception.so .shobj/ifr_adding_visitor_exception.o .shobj/ifr_adding_visitor_exception.so: ifr_adding_visitor_exception.cpp \
 ifr_adding_visitor_exception.h ifr_adding_visitor.h ifr_visitor.h \
 ../../TAO_IDL/include/ast_visitor.h \
 ../../TAO_IDL/include/TAO_IDL_FE_Export.h \
 $(ACE_ROOT)/ace/pre.h \
 $(ACE_ROOT)/ace/post.h \
 $(ACE_ROOT)/ace/ACE_export.h \
 $(ACE_ROOT)/ace/svc_export.h \
 $(ACE_ROOT)/ace/ace_wchar.h \
 $(ACE_ROOT)/ace/ace_wchar.inl \
 $(ACE_ROOT)/ace/OS_Errno.h \
 $(ACE_ROOT)/ace/OS_Export.h \
 $(ACE_ROOT)/ace/OS_Errno.inl \
 be_extern.h TAO_IFR_BE_Export.h be_global.h \
 ../../TAO_IDL/include/idl_bool.h \
 $(TAO_ROOT)/tao/ORB.h \
 $(TAO_ROOT)/tao/corbafwd.h \
 $(ACE_ROOT)/ace/CDR_Base.h \
 $(ACE_ROOT)/ace/Basic_Types.h \
 $(ACE_ROOT)/ace/Basic_Types.i \
 $(ACE_ROOT)/ace/Message_Block.h \
 $(ACE_ROOT)/ace/ACE.h \
 $(ACE_ROOT)/ace/OS.h \
 $(ACE_ROOT)/ace/OS_Dirent.h \
 $(ACE_ROOT)/ace/OS_Dirent.inl \
 $(ACE_ROOT)/ace/OS_String.h \
 $(ACE_ROOT)/ace/OS_String.inl \
 $(ACE_ROOT)/ace/OS_Memory.h \
 $(ACE_ROOT)/ace/OS_Memory.inl \
 $(ACE_ROOT)/ace/OS_TLI.h \
 $(ACE_ROOT)/ace/OS_TLI.inl \
 $(ACE_ROOT)/ace/Default_Constants.h \
 $(ACE_ROOT)/ace/Global_Macros.h \
 $(ACE_ROOT)/ace/Min_Max.h \
 $(ACE_ROOT)/ace/streams.h \
 $(ACE_ROOT)/ace/Trace.h \
 $(ACE_ROOT)/ace/OS.i \
 $(ACE_ROOT)/ace/Flag_Manip.h \
 $(ACE_ROOT)/ace/Flag_Manip.i \
 $(ACE_ROOT)/ace/Handle_Ops.h \
 $(ACE_ROOT)/ace/Handle_Ops.i \
 $(ACE_ROOT)/ace/Lib_Find.h \
 $(ACE_ROOT)/ace/Lib_Find.i \
 $(ACE_ROOT)/ace/Init_ACE.h \
 $(ACE_ROOT)/ace/Init_ACE.i \
 $(ACE_ROOT)/ace/Sock_Connect.h \
 $(ACE_ROOT)/ace/Sock_Connect.i \
 $(ACE_ROOT)/ace/ACE.i \
 $(ACE_ROOT)/ace/Malloc.h \
 $(ACE_ROOT)/ace/Log_Msg.h \
 $(ACE_ROOT)/ace/Log_Record.h \
 $(ACE_ROOT)/ace/Log_Priority.h \
 $(ACE_ROOT)/ace/Log_Record.i \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.h \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.inl \
 $(ACE_ROOT)/ace/Malloc.i \
 $(ACE_ROOT)/ace/Malloc_T.h \
 $(ACE_ROOT)/ace/Synch.h \
 $(ACE_ROOT)/ace/Synch.i \
 $(ACE_ROOT)/ace/Synch_T.h \
 $(ACE_ROOT)/ace/Synch_T.i \
 $(ACE_ROOT)/ace/Thread.h \
 $(ACE_ROOT)/ace/Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread.i \
 $(ACE_ROOT)/ace/Synch_T.cpp \
 $(ACE_ROOT)/ace/Malloc_Allocator.h \
 $(ACE_ROOT)/ace/Malloc_Base.h \
 $(ACE_ROOT)/ace/Malloc_Allocator.i \
 $(ACE_ROOT)/ace/Free_List.h \
 $(ACE_ROOT)/ace/Free_List.i \
 $(ACE_ROOT)/ace/Free_List.cpp \
 $(ACE_ROOT)/ace/Malloc_T.i \
 $(ACE_ROOT)/ace/Malloc_T.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.h \
 $(ACE_ROOT)/ace/Event_Handler.h \
 $(ACE_ROOT)/ace/Event_Handler.i \
 $(ACE_ROOT)/ace/Signal.h \
 $(ACE_ROOT)/ace/Signal.i \
 $(ACE_ROOT)/ace/Mem_Map.h \
 $(ACE_ROOT)/ace/Mem_Map.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.i \
 $(ACE_ROOT)/ace/Unbounded_Set.h \
 $(ACE_ROOT)/ace/Node.h \
 $(ACE_ROOT)/ace/Node.cpp \
 $(ACE_ROOT)/ace/Unbounded_Set.inl \
 $(ACE_ROOT)/ace/Unbounded_Set.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.i \
 $(ACE_ROOT)/ace/Message_Block.i \
 $(ACE_ROOT)/ace/Message_Block_T.h \
 $(ACE_ROOT)/ace/Message_Block_T.i \
 $(ACE_ROOT)/ace/Message_Block_T.cpp \
 $(ACE_ROOT)/ace/CDR_Base.inl \
 $(TAO_ROOT)/tao/try_macros.h \
 $(TAO_ROOT)/tao/orbconf.h \
 $(ACE_ROOT)/ace/CORBA_macros.h \
 $(TAO_ROOT)/tao/varbase.h \
 $(TAO_ROOT)/tao/TAO_Export.h \
 $(TAO_ROOT)/tao/corbafwd.i \
 $(TAO_ROOT)/tao/Exception.h \
 $(ACE_ROOT)/ace/SString.h \
 $(ACE_ROOT)/ace/String_Base.h \
 $(ACE_ROOT)/ace/String_Base_Const.h \
 $(ACE_ROOT)/ace/String_Base.i \
 $(ACE_ROOT)/ace/String_Base.cpp \
 $(ACE_ROOT)/ace/Auto_Ptr.h \
 $(ACE_ROOT)/ace/Auto_Ptr.i \
 $(ACE_ROOT)/ace/Auto_Ptr.cpp \
 $(ACE_ROOT)/ace/SString.i \
 $(TAO_ROOT)/tao/Exception.i \
 $(TAO_ROOT)/tao/Services.h \
 $(TAO_ROOT)/tao/Sequence.h \
 $(TAO_ROOT)/tao/Managed_Types.h \
 $(TAO_ROOT)/tao/Managed_Types.i \
 $(TAO_ROOT)/tao/Sequence.i \
 $(TAO_ROOT)/tao/Sequence_T.h \
 $(TAO_ROOT)/tao/Sequence_T.i \
 $(TAO_ROOT)/tao/Sequence_T.cpp \
 $(TAO_ROOT)/tao/Environment.h \
 $(TAO_ROOT)/tao/Environment.i \
 $(TAO_ROOT)/tao/Services.i \
 $(TAO_ROOT)/tao/CORBA_String.h \
 $(TAO_ROOT)/tao/CORBA_String.inl \
 $(TAO_ROOT)/tao/PolicyC.h \
 $(TAO_ROOT)/tao/Encodable.h \
 $(TAO_ROOT)/tao/CDR.h \
 $(ACE_ROOT)/ace/CDR_Stream.h \
 $(ACE_ROOT)/ace/CDR_Stream.i \
 $(TAO_ROOT)/tao/CDR.i \
 $(TAO_ROOT)/tao/Remote_Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/CurrentC.h \
 $(TAO_ROOT)/tao/Object.h \
 $(TAO_ROOT)/tao/Object_Proxy_Broker.h \
 $(TAO_ROOT)/tao/Object.i \
 $(TAO_ROOT)/tao/CurrentC.i \
 $(TAO_ROOT)/tao/PolicyC.i \
 $(TAO_ROOT)/tao/ORB.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.h \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.h \
 $(TAO_ROOT)/tao/IFR_Client/ifr_client_export.h \
 $(TAO_ROOT)/tao/Invocation.h \
 $(TAO_ROOT)/tao/Stub.h \
 $(TAO_ROOT)/tao/Pluggable.h \
 $(TAO_ROOT)/tao/Typecode.h \
 $(TAO_ROOT)/tao/Typecode.i \
 $(TAO_ROOT)/tao/IOPC.h \
 $(TAO_ROOT)/tao/Any.h \
 $(TAO_ROOT)/tao/Any.i \
 $(TAO_ROOT)/tao/IOPC.i \
 $(TAO_ROOT)/tao/Pluggable.i \
 $(TAO_ROOT)/tao/MProfile.h \
 $(TAO_ROOT)/tao/Profile.h \
 $(TAO_ROOT)/tao/Tagged_Components.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.i \
 $(TAO_ROOT)/tao/Tagged_Components.i \
 $(TAO_ROOT)/tao/GIOP_Message_Version.h \
 $(TAO_ROOT)/tao/GIOP_Message_Version.inl \
 $(TAO_ROOT)/tao/Profile.i \
 $(TAO_ROOT)/tao/MProfile.i \
 $(TAO_ROOT)/tao/ORB_Core.h \
 $(TAO_ROOT)/tao/Policy_Manager.h \
 $(TAO_ROOT)/tao/Policy_Set.h \
 $(TAO_ROOT)/tao/Policy_Set.i \
 $(TAO_ROOT)/tao/LocalObject.h \
 $(TAO_ROOT)/tao/LocalObject.i \
 $(TAO_ROOT)/tao/debug.h \
 $(TAO_ROOT)/tao/Policy_Manager.i \
 $(TAO_ROOT)/tao/Resource_Factory.h \
 $(ACE_ROOT)/ace/Service_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.i \
 $(ACE_ROOT)/ace/Service_Object.i \
 $(TAO_ROOT)/tao/Protocol_Factory.h \
 $(TAO_ROOT)/tao/params.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.inl \
 $(ACE_ROOT)/ace/Unbounded_Queue.cpp \
 $(TAO_ROOT)/tao/params.i \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.h \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.h \
 $(TAO_ROOT)/tao/TAO_Singleton.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.cpp \
 $(ACE_ROOT)/ace/Object_Manager.h \
 $(ACE_ROOT)/ace/Object_Manager.i \
 $(ACE_ROOT)/ace/Managed_Object.h \
 $(ACE_ROOT)/ace/Managed_Object.i \
 $(ACE_ROOT)/ace/Managed_Object.cpp \
 $(TAO_ROOT)/tao/Adapter.h \
 $(TAO_ROOT)/tao/Adapter.i \
 $(TAO_ROOT)/tao/PolicyFactory_Registry.h \
 $(TAO_ROOT)/tao/PortableInterceptorC.h \
 $(TAO_ROOT)/tao/DynamicC.h \
 $(TAO_ROOT)/tao/DynamicC.i \
 $(TAO_ROOT)/tao/MessagingC.h \
 $(TAO_ROOT)/tao/ValueBase.h \
 $(TAO_ROOT)/tao/ValueBase.i \
 $(TAO_ROOT)/tao/ValueFactory.h \
 $(TAO_ROOT)/tao/ValueFactory.i \
 $(TAO_ROOT)/tao/TimeBaseC.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.h \
 $(TAO_ROOT)/tao/SmartProxies/smartproxies_export.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.inl \
 $(TAO_ROOT)/tao/TimeBaseC.i \
 $(TAO_ROOT)/tao/PollableC.h \
 $(TAO_ROOT)/tao/PollableC.i \
 $(TAO_ROOT)/tao/MessagingC.i \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.h \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.i \
 $(TAO_ROOT)/tao/PortableInterceptorC.i \
 $(ACE_ROOT)/ace/Map_Manager.h \
 $(ACE_ROOT)/ace/Map_Manager.i \
 $(ACE_ROOT)/ace/Map_Manager.cpp \
 $(ACE_ROOT)/ace/Service_Config.h \
 $(ACE_ROOT)/ace/Service_Config.i \
 $(ACE_ROOT)/ace/Reactor.h \
 $(ACE_ROOT)/ace/Handle_Set.h \
 $(ACE_ROOT)/ace/Handle_Set.i \
 $(ACE_ROOT)/ace/Timer_Queue.h \
 $(ACE_ROOT)/ace/Timer_Queue_T.h \
 $(ACE_ROOT)/ace/Test_and_Set.h \
 $(ACE_ROOT)/ace/Test_and_Set.i \
 $(ACE_ROOT)/ace/Test_and_Set.cpp \
 $(ACE_ROOT)/ace/Timer_Queue_T.i \
 $(ACE_ROOT)/ace/Timer_Queue_T.cpp \
 $(ACE_ROOT)/ace/Reactor.i \
 $(ACE_ROOT)/ace/Reactor_Impl.h \
 $(ACE_ROOT)/ace/Svc_Conf_Tokens.h \
 $(TAO_ROOT)/tao/Parser_Registry.h \
 $(TAO_ROOT)/tao/Parser_Registry.i \
 $(TAO_ROOT)/tao/Service_Callbacks.h \
 $(TAO_ROOT)/tao/Service_Callbacks.i \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.h \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.i \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.h \
 $(ACE_ROOT)/ace/Array_Base.h \
 $(ACE_ROOT)/ace/Array_Base.inl \
 $(ACE_ROOT)/ace/Array_Base.cpp \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.inl \
 $(TAO_ROOT)/tao/Object_Ref_Table.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.h \
 $(ACE_ROOT)/ace/Functor.h \
 $(ACE_ROOT)/ace/Functor.i \
 $(ACE_ROOT)/ace/Functor_T.h \
 $(ACE_ROOT)/ace/Functor_T.i \
 $(ACE_ROOT)/ace/Functor_T.cpp \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.i \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.cpp \
 $(TAO_ROOT)/tao/Interceptor_List.h \
 $(TAO_ROOT)/tao/Interceptor_List.inl \
 $(TAO_ROOT)/tao/PICurrent.h \
 $(TAO_ROOT)/tao/PICurrent.inl \
 $(TAO_ROOT)/tao/Protocols_Hooks.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager.h \
 $(ACE_ROOT)/ace/Thread_Manager.h \
 $(ACE_ROOT)/ace/Containers.h \
 $(ACE_ROOT)/ace/Containers.i \
 $(ACE_ROOT)/ace/Containers_T.h \
 $(ACE_ROOT)/ace/Containers_T.i \
 $(ACE_ROOT)/ace/Containers_T.cpp \
 $(ACE_ROOT)/ace/Singleton.h \
 $(ACE_ROOT)/ace/Singleton.i \
 $(ACE_ROOT)/ace/Singleton.cpp \
 $(ACE_ROOT)/ace/Thread_Manager.i \
 $(TAO_ROOT)/tao/ORB_Core.i \
 $(TAO_ROOT)/tao/Stub.i \
 $(TAO_ROOT)/tao/Synch_Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.i \
 $(TAO_ROOT)/tao/LF_Event.h \
 $(TAO_ROOT)/tao/LF_Event.inl \
 $(TAO_ROOT)/tao/TAOC.h \
 $(TAO_ROOT)/tao/TAOC.i \
 $(TAO_ROOT)/tao/operation_details.h \
 $(TAO_ROOT)/tao/Service_Context.h \
 $(TAO_ROOT)/tao/Service_Context.inl \
 $(TAO_ROOT)/tao/target_specification.h \
 $(TAO_ROOT)/tao/Object_KeyC.h \
 $(TAO_ROOT)/tao/Object_KeyC.i \
 $(TAO_ROOT)/tao/target_specification.i \
 $(TAO_ROOT)/tao/operation_details.i \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.h \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.i \
 $(TAO_ROOT)/tao/Invocation.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.i \
 ../../TAO_IDL/include/idl.h ../../TAO_IDL/include/idl_narrow.h \
 ../../TAO_IDL/include/idl_defines.h ../../TAO_IDL/include/idl_fwd.h \
 ../../TAO_IDL/include/utl_string.h \
 ../../TAO_IDL/include/utl_identifier.h ../../TAO_IDL/include/ast.h \
 ../../TAO_IDL/include/utl_scoped_name.h \
 ../../TAO_IDL/include/ast_decl.h \
 ../../TAO_IDL/include/ast_expression.h \
 ../../TAO_IDL/include/utl_scope.h ../../TAO_IDL/include/ast_type.h \
 ../../TAO_IDL/include/ast_concrete_type.h \
 ../../TAO_IDL/include/ast_predefined_type.h \
 ../../TAO_IDL/include/ast_module.h ../../TAO_IDL/include/ast_root.h \
 ../../TAO_IDL/include/ast_interface.h \
 ../../TAO_IDL/include/ast_interface_fwd.h \
 ../../TAO_IDL/include/ast_structure.h \
 ../../TAO_IDL/include/ast_exception.h \
 ../../TAO_IDL/include/ast_enum.h \
 ../../TAO_IDL/include/ast_operation.h \
 ../../TAO_IDL/include/utl_list.h ../../TAO_IDL/include/ast_field.h \
 ../../TAO_IDL/include/ast_argument.h \
 ../../TAO_IDL/include/ast_attribute.h \
 ../../TAO_IDL/include/ast_union.h \
 ../../TAO_IDL/include/ast_union_branch.h \
 ../../TAO_IDL/include/ast_union_label.h \
 ../../TAO_IDL/include/ast_constant.h \
 ../../TAO_IDL/include/ast_enum_val.h \
 ../../TAO_IDL/include/ast_array.h \
 ../../TAO_IDL/include/ast_sequence.h \
 ../../TAO_IDL/include/ast_string.h \
 ../../TAO_IDL/include/ast_typedef.h \
 ../../TAO_IDL/include/ast_native.h \
 ../../TAO_IDL/include/ast_factory.h \
 ../../TAO_IDL/include/utl_strlist.h \
 ../../TAO_IDL/include/utl_exprlist.h \
 ../../TAO_IDL/include/ast_generator.h ../../TAO_IDL/include/util.h \
 ../../TAO_IDL/include/utl_stack.h ../../TAO_IDL/include/utl_idlist.h \
 ../../TAO_IDL/include/utl_exceptlist.h \
 ../../TAO_IDL/include/utl_namelist.h \
 ../../TAO_IDL/include/utl_labellist.h \
 ../../TAO_IDL/include/utl_decllist.h \
 ../../TAO_IDL/include/idl_global.h ../../TAO_IDL/include/utl_err.h \
 ../../TAO_IDL/include/utl_indenter.h ifr_adding_visitor_structure.h \
 ifr_adding_visitor_union.h

.obj/ifr_adding_visitor_operation.o .obj/ifr_adding_visitor_operation.so .shobj/ifr_adding_visitor_operation.o .shobj/ifr_adding_visitor_operation.so: ifr_adding_visitor_operation.cpp \
 ifr_adding_visitor_operation.h ifr_adding_visitor.h ifr_visitor.h \
 ../../TAO_IDL/include/ast_visitor.h \
 ../../TAO_IDL/include/TAO_IDL_FE_Export.h \
 $(ACE_ROOT)/ace/pre.h \
 $(ACE_ROOT)/ace/post.h \
 $(ACE_ROOT)/ace/ACE_export.h \
 $(ACE_ROOT)/ace/svc_export.h \
 $(ACE_ROOT)/ace/ace_wchar.h \
 $(ACE_ROOT)/ace/ace_wchar.inl \
 $(ACE_ROOT)/ace/OS_Errno.h \
 $(ACE_ROOT)/ace/OS_Export.h \
 $(ACE_ROOT)/ace/OS_Errno.inl \
 be_extern.h TAO_IFR_BE_Export.h be_global.h \
 ../../TAO_IDL/include/idl_bool.h \
 $(TAO_ROOT)/tao/ORB.h \
 $(TAO_ROOT)/tao/corbafwd.h \
 $(ACE_ROOT)/ace/CDR_Base.h \
 $(ACE_ROOT)/ace/Basic_Types.h \
 $(ACE_ROOT)/ace/Basic_Types.i \
 $(ACE_ROOT)/ace/Message_Block.h \
 $(ACE_ROOT)/ace/ACE.h \
 $(ACE_ROOT)/ace/OS.h \
 $(ACE_ROOT)/ace/OS_Dirent.h \
 $(ACE_ROOT)/ace/OS_Dirent.inl \
 $(ACE_ROOT)/ace/OS_String.h \
 $(ACE_ROOT)/ace/OS_String.inl \
 $(ACE_ROOT)/ace/OS_Memory.h \
 $(ACE_ROOT)/ace/OS_Memory.inl \
 $(ACE_ROOT)/ace/OS_TLI.h \
 $(ACE_ROOT)/ace/OS_TLI.inl \
 $(ACE_ROOT)/ace/Default_Constants.h \
 $(ACE_ROOT)/ace/Global_Macros.h \
 $(ACE_ROOT)/ace/Min_Max.h \
 $(ACE_ROOT)/ace/streams.h \
 $(ACE_ROOT)/ace/Trace.h \
 $(ACE_ROOT)/ace/OS.i \
 $(ACE_ROOT)/ace/Flag_Manip.h \
 $(ACE_ROOT)/ace/Flag_Manip.i \
 $(ACE_ROOT)/ace/Handle_Ops.h \
 $(ACE_ROOT)/ace/Handle_Ops.i \
 $(ACE_ROOT)/ace/Lib_Find.h \
 $(ACE_ROOT)/ace/Lib_Find.i \
 $(ACE_ROOT)/ace/Init_ACE.h \
 $(ACE_ROOT)/ace/Init_ACE.i \
 $(ACE_ROOT)/ace/Sock_Connect.h \
 $(ACE_ROOT)/ace/Sock_Connect.i \
 $(ACE_ROOT)/ace/ACE.i \
 $(ACE_ROOT)/ace/Malloc.h \
 $(ACE_ROOT)/ace/Log_Msg.h \
 $(ACE_ROOT)/ace/Log_Record.h \
 $(ACE_ROOT)/ace/Log_Priority.h \
 $(ACE_ROOT)/ace/Log_Record.i \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.h \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.inl \
 $(ACE_ROOT)/ace/Malloc.i \
 $(ACE_ROOT)/ace/Malloc_T.h \
 $(ACE_ROOT)/ace/Synch.h \
 $(ACE_ROOT)/ace/Synch.i \
 $(ACE_ROOT)/ace/Synch_T.h \
 $(ACE_ROOT)/ace/Synch_T.i \
 $(ACE_ROOT)/ace/Thread.h \
 $(ACE_ROOT)/ace/Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread.i \
 $(ACE_ROOT)/ace/Synch_T.cpp \
 $(ACE_ROOT)/ace/Malloc_Allocator.h \
 $(ACE_ROOT)/ace/Malloc_Base.h \
 $(ACE_ROOT)/ace/Malloc_Allocator.i \
 $(ACE_ROOT)/ace/Free_List.h \
 $(ACE_ROOT)/ace/Free_List.i \
 $(ACE_ROOT)/ace/Free_List.cpp \
 $(ACE_ROOT)/ace/Malloc_T.i \
 $(ACE_ROOT)/ace/Malloc_T.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.h \
 $(ACE_ROOT)/ace/Event_Handler.h \
 $(ACE_ROOT)/ace/Event_Handler.i \
 $(ACE_ROOT)/ace/Signal.h \
 $(ACE_ROOT)/ace/Signal.i \
 $(ACE_ROOT)/ace/Mem_Map.h \
 $(ACE_ROOT)/ace/Mem_Map.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.i \
 $(ACE_ROOT)/ace/Unbounded_Set.h \
 $(ACE_ROOT)/ace/Node.h \
 $(ACE_ROOT)/ace/Node.cpp \
 $(ACE_ROOT)/ace/Unbounded_Set.inl \
 $(ACE_ROOT)/ace/Unbounded_Set.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.i \
 $(ACE_ROOT)/ace/Message_Block.i \
 $(ACE_ROOT)/ace/Message_Block_T.h \
 $(ACE_ROOT)/ace/Message_Block_T.i \
 $(ACE_ROOT)/ace/Message_Block_T.cpp \
 $(ACE_ROOT)/ace/CDR_Base.inl \
 $(TAO_ROOT)/tao/try_macros.h \
 $(TAO_ROOT)/tao/orbconf.h \
 $(ACE_ROOT)/ace/CORBA_macros.h \
 $(TAO_ROOT)/tao/varbase.h \
 $(TAO_ROOT)/tao/TAO_Export.h \
 $(TAO_ROOT)/tao/corbafwd.i \
 $(TAO_ROOT)/tao/Exception.h \
 $(ACE_ROOT)/ace/SString.h \
 $(ACE_ROOT)/ace/String_Base.h \
 $(ACE_ROOT)/ace/String_Base_Const.h \
 $(ACE_ROOT)/ace/String_Base.i \
 $(ACE_ROOT)/ace/String_Base.cpp \
 $(ACE_ROOT)/ace/Auto_Ptr.h \
 $(ACE_ROOT)/ace/Auto_Ptr.i \
 $(ACE_ROOT)/ace/Auto_Ptr.cpp \
 $(ACE_ROOT)/ace/SString.i \
 $(TAO_ROOT)/tao/Exception.i \
 $(TAO_ROOT)/tao/Services.h \
 $(TAO_ROOT)/tao/Sequence.h \
 $(TAO_ROOT)/tao/Managed_Types.h \
 $(TAO_ROOT)/tao/Managed_Types.i \
 $(TAO_ROOT)/tao/Sequence.i \
 $(TAO_ROOT)/tao/Sequence_T.h \
 $(TAO_ROOT)/tao/Sequence_T.i \
 $(TAO_ROOT)/tao/Sequence_T.cpp \
 $(TAO_ROOT)/tao/Environment.h \
 $(TAO_ROOT)/tao/Environment.i \
 $(TAO_ROOT)/tao/Services.i \
 $(TAO_ROOT)/tao/CORBA_String.h \
 $(TAO_ROOT)/tao/CORBA_String.inl \
 $(TAO_ROOT)/tao/PolicyC.h \
 $(TAO_ROOT)/tao/Encodable.h \
 $(TAO_ROOT)/tao/CDR.h \
 $(ACE_ROOT)/ace/CDR_Stream.h \
 $(ACE_ROOT)/ace/CDR_Stream.i \
 $(TAO_ROOT)/tao/CDR.i \
 $(TAO_ROOT)/tao/Remote_Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/CurrentC.h \
 $(TAO_ROOT)/tao/Object.h \
 $(TAO_ROOT)/tao/Object_Proxy_Broker.h \
 $(TAO_ROOT)/tao/Object.i \
 $(TAO_ROOT)/tao/CurrentC.i \
 $(TAO_ROOT)/tao/PolicyC.i \
 $(TAO_ROOT)/tao/ORB.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.h \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.h \
 $(TAO_ROOT)/tao/IFR_Client/ifr_client_export.h \
 $(TAO_ROOT)/tao/Invocation.h \
 $(TAO_ROOT)/tao/Stub.h \
 $(TAO_ROOT)/tao/Pluggable.h \
 $(TAO_ROOT)/tao/Typecode.h \
 $(TAO_ROOT)/tao/Typecode.i \
 $(TAO_ROOT)/tao/IOPC.h \
 $(TAO_ROOT)/tao/Any.h \
 $(TAO_ROOT)/tao/Any.i \
 $(TAO_ROOT)/tao/IOPC.i \
 $(TAO_ROOT)/tao/Pluggable.i \
 $(TAO_ROOT)/tao/MProfile.h \
 $(TAO_ROOT)/tao/Profile.h \
 $(TAO_ROOT)/tao/Tagged_Components.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.i \
 $(TAO_ROOT)/tao/Tagged_Components.i \
 $(TAO_ROOT)/tao/GIOP_Message_Version.h \
 $(TAO_ROOT)/tao/GIOP_Message_Version.inl \
 $(TAO_ROOT)/tao/Profile.i \
 $(TAO_ROOT)/tao/MProfile.i \
 $(TAO_ROOT)/tao/ORB_Core.h \
 $(TAO_ROOT)/tao/Policy_Manager.h \
 $(TAO_ROOT)/tao/Policy_Set.h \
 $(TAO_ROOT)/tao/Policy_Set.i \
 $(TAO_ROOT)/tao/LocalObject.h \
 $(TAO_ROOT)/tao/LocalObject.i \
 $(TAO_ROOT)/tao/debug.h \
 $(TAO_ROOT)/tao/Policy_Manager.i \
 $(TAO_ROOT)/tao/Resource_Factory.h \
 $(ACE_ROOT)/ace/Service_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.i \
 $(ACE_ROOT)/ace/Service_Object.i \
 $(TAO_ROOT)/tao/Protocol_Factory.h \
 $(TAO_ROOT)/tao/params.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.inl \
 $(ACE_ROOT)/ace/Unbounded_Queue.cpp \
 $(TAO_ROOT)/tao/params.i \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.h \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.h \
 $(TAO_ROOT)/tao/TAO_Singleton.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.cpp \
 $(ACE_ROOT)/ace/Object_Manager.h \
 $(ACE_ROOT)/ace/Object_Manager.i \
 $(ACE_ROOT)/ace/Managed_Object.h \
 $(ACE_ROOT)/ace/Managed_Object.i \
 $(ACE_ROOT)/ace/Managed_Object.cpp \
 $(TAO_ROOT)/tao/Adapter.h \
 $(TAO_ROOT)/tao/Adapter.i \
 $(TAO_ROOT)/tao/PolicyFactory_Registry.h \
 $(TAO_ROOT)/tao/PortableInterceptorC.h \
 $(TAO_ROOT)/tao/DynamicC.h \
 $(TAO_ROOT)/tao/DynamicC.i \
 $(TAO_ROOT)/tao/MessagingC.h \
 $(TAO_ROOT)/tao/ValueBase.h \
 $(TAO_ROOT)/tao/ValueBase.i \
 $(TAO_ROOT)/tao/ValueFactory.h \
 $(TAO_ROOT)/tao/ValueFactory.i \
 $(TAO_ROOT)/tao/TimeBaseC.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.h \
 $(TAO_ROOT)/tao/SmartProxies/smartproxies_export.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.inl \
 $(TAO_ROOT)/tao/TimeBaseC.i \
 $(TAO_ROOT)/tao/PollableC.h \
 $(TAO_ROOT)/tao/PollableC.i \
 $(TAO_ROOT)/tao/MessagingC.i \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.h \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.i \
 $(TAO_ROOT)/tao/PortableInterceptorC.i \
 $(ACE_ROOT)/ace/Map_Manager.h \
 $(ACE_ROOT)/ace/Map_Manager.i \
 $(ACE_ROOT)/ace/Map_Manager.cpp \
 $(ACE_ROOT)/ace/Service_Config.h \
 $(ACE_ROOT)/ace/Service_Config.i \
 $(ACE_ROOT)/ace/Reactor.h \
 $(ACE_ROOT)/ace/Handle_Set.h \
 $(ACE_ROOT)/ace/Handle_Set.i \
 $(ACE_ROOT)/ace/Timer_Queue.h \
 $(ACE_ROOT)/ace/Timer_Queue_T.h \
 $(ACE_ROOT)/ace/Test_and_Set.h \
 $(ACE_ROOT)/ace/Test_and_Set.i \
 $(ACE_ROOT)/ace/Test_and_Set.cpp \
 $(ACE_ROOT)/ace/Timer_Queue_T.i \
 $(ACE_ROOT)/ace/Timer_Queue_T.cpp \
 $(ACE_ROOT)/ace/Reactor.i \
 $(ACE_ROOT)/ace/Reactor_Impl.h \
 $(ACE_ROOT)/ace/Svc_Conf_Tokens.h \
 $(TAO_ROOT)/tao/Parser_Registry.h \
 $(TAO_ROOT)/tao/Parser_Registry.i \
 $(TAO_ROOT)/tao/Service_Callbacks.h \
 $(TAO_ROOT)/tao/Service_Callbacks.i \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.h \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.i \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.h \
 $(ACE_ROOT)/ace/Array_Base.h \
 $(ACE_ROOT)/ace/Array_Base.inl \
 $(ACE_ROOT)/ace/Array_Base.cpp \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.inl \
 $(TAO_ROOT)/tao/Object_Ref_Table.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.h \
 $(ACE_ROOT)/ace/Functor.h \
 $(ACE_ROOT)/ace/Functor.i \
 $(ACE_ROOT)/ace/Functor_T.h \
 $(ACE_ROOT)/ace/Functor_T.i \
 $(ACE_ROOT)/ace/Functor_T.cpp \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.i \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.cpp \
 $(TAO_ROOT)/tao/Interceptor_List.h \
 $(TAO_ROOT)/tao/Interceptor_List.inl \
 $(TAO_ROOT)/tao/PICurrent.h \
 $(TAO_ROOT)/tao/PICurrent.inl \
 $(TAO_ROOT)/tao/Protocols_Hooks.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager.h \
 $(ACE_ROOT)/ace/Thread_Manager.h \
 $(ACE_ROOT)/ace/Containers.h \
 $(ACE_ROOT)/ace/Containers.i \
 $(ACE_ROOT)/ace/Containers_T.h \
 $(ACE_ROOT)/ace/Containers_T.i \
 $(ACE_ROOT)/ace/Containers_T.cpp \
 $(ACE_ROOT)/ace/Singleton.h \
 $(ACE_ROOT)/ace/Singleton.i \
 $(ACE_ROOT)/ace/Singleton.cpp \
 $(ACE_ROOT)/ace/Thread_Manager.i \
 $(TAO_ROOT)/tao/ORB_Core.i \
 $(TAO_ROOT)/tao/Stub.i \
 $(TAO_ROOT)/tao/Synch_Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.i \
 $(TAO_ROOT)/tao/LF_Event.h \
 $(TAO_ROOT)/tao/LF_Event.inl \
 $(TAO_ROOT)/tao/TAOC.h \
 $(TAO_ROOT)/tao/TAOC.i \
 $(TAO_ROOT)/tao/operation_details.h \
 $(TAO_ROOT)/tao/Service_Context.h \
 $(TAO_ROOT)/tao/Service_Context.inl \
 $(TAO_ROOT)/tao/target_specification.h \
 $(TAO_ROOT)/tao/Object_KeyC.h \
 $(TAO_ROOT)/tao/Object_KeyC.i \
 $(TAO_ROOT)/tao/target_specification.i \
 $(TAO_ROOT)/tao/operation_details.i \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.h \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.i \
 $(TAO_ROOT)/tao/Invocation.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.i \
 ../../TAO_IDL/include/idl.h ../../TAO_IDL/include/idl_narrow.h \
 ../../TAO_IDL/include/idl_defines.h ../../TAO_IDL/include/idl_fwd.h \
 ../../TAO_IDL/include/utl_string.h \
 ../../TAO_IDL/include/utl_identifier.h ../../TAO_IDL/include/ast.h \
 ../../TAO_IDL/include/utl_scoped_name.h \
 ../../TAO_IDL/include/ast_decl.h \
 ../../TAO_IDL/include/ast_expression.h \
 ../../TAO_IDL/include/utl_scope.h ../../TAO_IDL/include/ast_type.h \
 ../../TAO_IDL/include/ast_concrete_type.h \
 ../../TAO_IDL/include/ast_predefined_type.h \
 ../../TAO_IDL/include/ast_module.h ../../TAO_IDL/include/ast_root.h \
 ../../TAO_IDL/include/ast_interface.h \
 ../../TAO_IDL/include/ast_interface_fwd.h \
 ../../TAO_IDL/include/ast_structure.h \
 ../../TAO_IDL/include/ast_exception.h \
 ../../TAO_IDL/include/ast_enum.h \
 ../../TAO_IDL/include/ast_operation.h \
 ../../TAO_IDL/include/utl_list.h ../../TAO_IDL/include/ast_field.h \
 ../../TAO_IDL/include/ast_argument.h \
 ../../TAO_IDL/include/ast_attribute.h \
 ../../TAO_IDL/include/ast_union.h \
 ../../TAO_IDL/include/ast_union_branch.h \
 ../../TAO_IDL/include/ast_union_label.h \
 ../../TAO_IDL/include/ast_constant.h \
 ../../TAO_IDL/include/ast_enum_val.h \
 ../../TAO_IDL/include/ast_array.h \
 ../../TAO_IDL/include/ast_sequence.h \
 ../../TAO_IDL/include/ast_string.h \
 ../../TAO_IDL/include/ast_typedef.h \
 ../../TAO_IDL/include/ast_native.h \
 ../../TAO_IDL/include/ast_factory.h \
 ../../TAO_IDL/include/utl_strlist.h \
 ../../TAO_IDL/include/utl_exprlist.h \
 ../../TAO_IDL/include/ast_generator.h ../../TAO_IDL/include/util.h \
 ../../TAO_IDL/include/utl_stack.h ../../TAO_IDL/include/utl_idlist.h \
 ../../TAO_IDL/include/utl_exceptlist.h \
 ../../TAO_IDL/include/utl_namelist.h \
 ../../TAO_IDL/include/utl_labellist.h \
 ../../TAO_IDL/include/utl_decllist.h \
 ../../TAO_IDL/include/idl_global.h ../../TAO_IDL/include/utl_err.h \
 ../../TAO_IDL/include/utl_indenter.h

.obj/ifr_adding_visitor_structure.o .obj/ifr_adding_visitor_structure.so .shobj/ifr_adding_visitor_structure.o .shobj/ifr_adding_visitor_structure.so: ifr_adding_visitor_structure.cpp \
 ifr_adding_visitor_structure.h ifr_adding_visitor.h ifr_visitor.h \
 ../../TAO_IDL/include/ast_visitor.h \
 ../../TAO_IDL/include/TAO_IDL_FE_Export.h \
 $(ACE_ROOT)/ace/pre.h \
 $(ACE_ROOT)/ace/post.h \
 $(ACE_ROOT)/ace/ACE_export.h \
 $(ACE_ROOT)/ace/svc_export.h \
 $(ACE_ROOT)/ace/ace_wchar.h \
 $(ACE_ROOT)/ace/ace_wchar.inl \
 $(ACE_ROOT)/ace/OS_Errno.h \
 $(ACE_ROOT)/ace/OS_Export.h \
 $(ACE_ROOT)/ace/OS_Errno.inl \
 be_extern.h TAO_IFR_BE_Export.h be_global.h \
 ../../TAO_IDL/include/idl_bool.h \
 $(TAO_ROOT)/tao/ORB.h \
 $(TAO_ROOT)/tao/corbafwd.h \
 $(ACE_ROOT)/ace/CDR_Base.h \
 $(ACE_ROOT)/ace/Basic_Types.h \
 $(ACE_ROOT)/ace/Basic_Types.i \
 $(ACE_ROOT)/ace/Message_Block.h \
 $(ACE_ROOT)/ace/ACE.h \
 $(ACE_ROOT)/ace/OS.h \
 $(ACE_ROOT)/ace/OS_Dirent.h \
 $(ACE_ROOT)/ace/OS_Dirent.inl \
 $(ACE_ROOT)/ace/OS_String.h \
 $(ACE_ROOT)/ace/OS_String.inl \
 $(ACE_ROOT)/ace/OS_Memory.h \
 $(ACE_ROOT)/ace/OS_Memory.inl \
 $(ACE_ROOT)/ace/OS_TLI.h \
 $(ACE_ROOT)/ace/OS_TLI.inl \
 $(ACE_ROOT)/ace/Default_Constants.h \
 $(ACE_ROOT)/ace/Global_Macros.h \
 $(ACE_ROOT)/ace/Min_Max.h \
 $(ACE_ROOT)/ace/streams.h \
 $(ACE_ROOT)/ace/Trace.h \
 $(ACE_ROOT)/ace/OS.i \
 $(ACE_ROOT)/ace/Flag_Manip.h \
 $(ACE_ROOT)/ace/Flag_Manip.i \
 $(ACE_ROOT)/ace/Handle_Ops.h \
 $(ACE_ROOT)/ace/Handle_Ops.i \
 $(ACE_ROOT)/ace/Lib_Find.h \
 $(ACE_ROOT)/ace/Lib_Find.i \
 $(ACE_ROOT)/ace/Init_ACE.h \
 $(ACE_ROOT)/ace/Init_ACE.i \
 $(ACE_ROOT)/ace/Sock_Connect.h \
 $(ACE_ROOT)/ace/Sock_Connect.i \
 $(ACE_ROOT)/ace/ACE.i \
 $(ACE_ROOT)/ace/Malloc.h \
 $(ACE_ROOT)/ace/Log_Msg.h \
 $(ACE_ROOT)/ace/Log_Record.h \
 $(ACE_ROOT)/ace/Log_Priority.h \
 $(ACE_ROOT)/ace/Log_Record.i \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.h \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.inl \
 $(ACE_ROOT)/ace/Malloc.i \
 $(ACE_ROOT)/ace/Malloc_T.h \
 $(ACE_ROOT)/ace/Synch.h \
 $(ACE_ROOT)/ace/Synch.i \
 $(ACE_ROOT)/ace/Synch_T.h \
 $(ACE_ROOT)/ace/Synch_T.i \
 $(ACE_ROOT)/ace/Thread.h \
 $(ACE_ROOT)/ace/Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread.i \
 $(ACE_ROOT)/ace/Synch_T.cpp \
 $(ACE_ROOT)/ace/Malloc_Allocator.h \
 $(ACE_ROOT)/ace/Malloc_Base.h \
 $(ACE_ROOT)/ace/Malloc_Allocator.i \
 $(ACE_ROOT)/ace/Free_List.h \
 $(ACE_ROOT)/ace/Free_List.i \
 $(ACE_ROOT)/ace/Free_List.cpp \
 $(ACE_ROOT)/ace/Malloc_T.i \
 $(ACE_ROOT)/ace/Malloc_T.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.h \
 $(ACE_ROOT)/ace/Event_Handler.h \
 $(ACE_ROOT)/ace/Event_Handler.i \
 $(ACE_ROOT)/ace/Signal.h \
 $(ACE_ROOT)/ace/Signal.i \
 $(ACE_ROOT)/ace/Mem_Map.h \
 $(ACE_ROOT)/ace/Mem_Map.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.i \
 $(ACE_ROOT)/ace/Unbounded_Set.h \
 $(ACE_ROOT)/ace/Node.h \
 $(ACE_ROOT)/ace/Node.cpp \
 $(ACE_ROOT)/ace/Unbounded_Set.inl \
 $(ACE_ROOT)/ace/Unbounded_Set.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.i \
 $(ACE_ROOT)/ace/Message_Block.i \
 $(ACE_ROOT)/ace/Message_Block_T.h \
 $(ACE_ROOT)/ace/Message_Block_T.i \
 $(ACE_ROOT)/ace/Message_Block_T.cpp \
 $(ACE_ROOT)/ace/CDR_Base.inl \
 $(TAO_ROOT)/tao/try_macros.h \
 $(TAO_ROOT)/tao/orbconf.h \
 $(ACE_ROOT)/ace/CORBA_macros.h \
 $(TAO_ROOT)/tao/varbase.h \
 $(TAO_ROOT)/tao/TAO_Export.h \
 $(TAO_ROOT)/tao/corbafwd.i \
 $(TAO_ROOT)/tao/Exception.h \
 $(ACE_ROOT)/ace/SString.h \
 $(ACE_ROOT)/ace/String_Base.h \
 $(ACE_ROOT)/ace/String_Base_Const.h \
 $(ACE_ROOT)/ace/String_Base.i \
 $(ACE_ROOT)/ace/String_Base.cpp \
 $(ACE_ROOT)/ace/Auto_Ptr.h \
 $(ACE_ROOT)/ace/Auto_Ptr.i \
 $(ACE_ROOT)/ace/Auto_Ptr.cpp \
 $(ACE_ROOT)/ace/SString.i \
 $(TAO_ROOT)/tao/Exception.i \
 $(TAO_ROOT)/tao/Services.h \
 $(TAO_ROOT)/tao/Sequence.h \
 $(TAO_ROOT)/tao/Managed_Types.h \
 $(TAO_ROOT)/tao/Managed_Types.i \
 $(TAO_ROOT)/tao/Sequence.i \
 $(TAO_ROOT)/tao/Sequence_T.h \
 $(TAO_ROOT)/tao/Sequence_T.i \
 $(TAO_ROOT)/tao/Sequence_T.cpp \
 $(TAO_ROOT)/tao/Environment.h \
 $(TAO_ROOT)/tao/Environment.i \
 $(TAO_ROOT)/tao/Services.i \
 $(TAO_ROOT)/tao/CORBA_String.h \
 $(TAO_ROOT)/tao/CORBA_String.inl \
 $(TAO_ROOT)/tao/PolicyC.h \
 $(TAO_ROOT)/tao/Encodable.h \
 $(TAO_ROOT)/tao/CDR.h \
 $(ACE_ROOT)/ace/CDR_Stream.h \
 $(ACE_ROOT)/ace/CDR_Stream.i \
 $(TAO_ROOT)/tao/CDR.i \
 $(TAO_ROOT)/tao/Remote_Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/CurrentC.h \
 $(TAO_ROOT)/tao/Object.h \
 $(TAO_ROOT)/tao/Object_Proxy_Broker.h \
 $(TAO_ROOT)/tao/Object.i \
 $(TAO_ROOT)/tao/CurrentC.i \
 $(TAO_ROOT)/tao/PolicyC.i \
 $(TAO_ROOT)/tao/ORB.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.h \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.h \
 $(TAO_ROOT)/tao/IFR_Client/ifr_client_export.h \
 $(TAO_ROOT)/tao/Invocation.h \
 $(TAO_ROOT)/tao/Stub.h \
 $(TAO_ROOT)/tao/Pluggable.h \
 $(TAO_ROOT)/tao/Typecode.h \
 $(TAO_ROOT)/tao/Typecode.i \
 $(TAO_ROOT)/tao/IOPC.h \
 $(TAO_ROOT)/tao/Any.h \
 $(TAO_ROOT)/tao/Any.i \
 $(TAO_ROOT)/tao/IOPC.i \
 $(TAO_ROOT)/tao/Pluggable.i \
 $(TAO_ROOT)/tao/MProfile.h \
 $(TAO_ROOT)/tao/Profile.h \
 $(TAO_ROOT)/tao/Tagged_Components.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.i \
 $(TAO_ROOT)/tao/Tagged_Components.i \
 $(TAO_ROOT)/tao/GIOP_Message_Version.h \
 $(TAO_ROOT)/tao/GIOP_Message_Version.inl \
 $(TAO_ROOT)/tao/Profile.i \
 $(TAO_ROOT)/tao/MProfile.i \
 $(TAO_ROOT)/tao/ORB_Core.h \
 $(TAO_ROOT)/tao/Policy_Manager.h \
 $(TAO_ROOT)/tao/Policy_Set.h \
 $(TAO_ROOT)/tao/Policy_Set.i \
 $(TAO_ROOT)/tao/LocalObject.h \
 $(TAO_ROOT)/tao/LocalObject.i \
 $(TAO_ROOT)/tao/debug.h \
 $(TAO_ROOT)/tao/Policy_Manager.i \
 $(TAO_ROOT)/tao/Resource_Factory.h \
 $(ACE_ROOT)/ace/Service_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.i \
 $(ACE_ROOT)/ace/Service_Object.i \
 $(TAO_ROOT)/tao/Protocol_Factory.h \
 $(TAO_ROOT)/tao/params.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.inl \
 $(ACE_ROOT)/ace/Unbounded_Queue.cpp \
 $(TAO_ROOT)/tao/params.i \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.h \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.h \
 $(TAO_ROOT)/tao/TAO_Singleton.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.cpp \
 $(ACE_ROOT)/ace/Object_Manager.h \
 $(ACE_ROOT)/ace/Object_Manager.i \
 $(ACE_ROOT)/ace/Managed_Object.h \
 $(ACE_ROOT)/ace/Managed_Object.i \
 $(ACE_ROOT)/ace/Managed_Object.cpp \
 $(TAO_ROOT)/tao/Adapter.h \
 $(TAO_ROOT)/tao/Adapter.i \
 $(TAO_ROOT)/tao/PolicyFactory_Registry.h \
 $(TAO_ROOT)/tao/PortableInterceptorC.h \
 $(TAO_ROOT)/tao/DynamicC.h \
 $(TAO_ROOT)/tao/DynamicC.i \
 $(TAO_ROOT)/tao/MessagingC.h \
 $(TAO_ROOT)/tao/ValueBase.h \
 $(TAO_ROOT)/tao/ValueBase.i \
 $(TAO_ROOT)/tao/ValueFactory.h \
 $(TAO_ROOT)/tao/ValueFactory.i \
 $(TAO_ROOT)/tao/TimeBaseC.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.h \
 $(TAO_ROOT)/tao/SmartProxies/smartproxies_export.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.inl \
 $(TAO_ROOT)/tao/TimeBaseC.i \
 $(TAO_ROOT)/tao/PollableC.h \
 $(TAO_ROOT)/tao/PollableC.i \
 $(TAO_ROOT)/tao/MessagingC.i \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.h \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.i \
 $(TAO_ROOT)/tao/PortableInterceptorC.i \
 $(ACE_ROOT)/ace/Map_Manager.h \
 $(ACE_ROOT)/ace/Map_Manager.i \
 $(ACE_ROOT)/ace/Map_Manager.cpp \
 $(ACE_ROOT)/ace/Service_Config.h \
 $(ACE_ROOT)/ace/Service_Config.i \
 $(ACE_ROOT)/ace/Reactor.h \
 $(ACE_ROOT)/ace/Handle_Set.h \
 $(ACE_ROOT)/ace/Handle_Set.i \
 $(ACE_ROOT)/ace/Timer_Queue.h \
 $(ACE_ROOT)/ace/Timer_Queue_T.h \
 $(ACE_ROOT)/ace/Test_and_Set.h \
 $(ACE_ROOT)/ace/Test_and_Set.i \
 $(ACE_ROOT)/ace/Test_and_Set.cpp \
 $(ACE_ROOT)/ace/Timer_Queue_T.i \
 $(ACE_ROOT)/ace/Timer_Queue_T.cpp \
 $(ACE_ROOT)/ace/Reactor.i \
 $(ACE_ROOT)/ace/Reactor_Impl.h \
 $(ACE_ROOT)/ace/Svc_Conf_Tokens.h \
 $(TAO_ROOT)/tao/Parser_Registry.h \
 $(TAO_ROOT)/tao/Parser_Registry.i \
 $(TAO_ROOT)/tao/Service_Callbacks.h \
 $(TAO_ROOT)/tao/Service_Callbacks.i \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.h \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.i \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.h \
 $(ACE_ROOT)/ace/Array_Base.h \
 $(ACE_ROOT)/ace/Array_Base.inl \
 $(ACE_ROOT)/ace/Array_Base.cpp \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.inl \
 $(TAO_ROOT)/tao/Object_Ref_Table.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.h \
 $(ACE_ROOT)/ace/Functor.h \
 $(ACE_ROOT)/ace/Functor.i \
 $(ACE_ROOT)/ace/Functor_T.h \
 $(ACE_ROOT)/ace/Functor_T.i \
 $(ACE_ROOT)/ace/Functor_T.cpp \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.i \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.cpp \
 $(TAO_ROOT)/tao/Interceptor_List.h \
 $(TAO_ROOT)/tao/Interceptor_List.inl \
 $(TAO_ROOT)/tao/PICurrent.h \
 $(TAO_ROOT)/tao/PICurrent.inl \
 $(TAO_ROOT)/tao/Protocols_Hooks.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager.h \
 $(ACE_ROOT)/ace/Thread_Manager.h \
 $(ACE_ROOT)/ace/Containers.h \
 $(ACE_ROOT)/ace/Containers.i \
 $(ACE_ROOT)/ace/Containers_T.h \
 $(ACE_ROOT)/ace/Containers_T.i \
 $(ACE_ROOT)/ace/Containers_T.cpp \
 $(ACE_ROOT)/ace/Singleton.h \
 $(ACE_ROOT)/ace/Singleton.i \
 $(ACE_ROOT)/ace/Singleton.cpp \
 $(ACE_ROOT)/ace/Thread_Manager.i \
 $(TAO_ROOT)/tao/ORB_Core.i \
 $(TAO_ROOT)/tao/Stub.i \
 $(TAO_ROOT)/tao/Synch_Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.i \
 $(TAO_ROOT)/tao/LF_Event.h \
 $(TAO_ROOT)/tao/LF_Event.inl \
 $(TAO_ROOT)/tao/TAOC.h \
 $(TAO_ROOT)/tao/TAOC.i \
 $(TAO_ROOT)/tao/operation_details.h \
 $(TAO_ROOT)/tao/Service_Context.h \
 $(TAO_ROOT)/tao/Service_Context.inl \
 $(TAO_ROOT)/tao/target_specification.h \
 $(TAO_ROOT)/tao/Object_KeyC.h \
 $(TAO_ROOT)/tao/Object_KeyC.i \
 $(TAO_ROOT)/tao/target_specification.i \
 $(TAO_ROOT)/tao/operation_details.i \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.h \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.i \
 $(TAO_ROOT)/tao/Invocation.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.i \
 ../../TAO_IDL/include/idl.h ../../TAO_IDL/include/idl_narrow.h \
 ../../TAO_IDL/include/idl_defines.h ../../TAO_IDL/include/idl_fwd.h \
 ../../TAO_IDL/include/utl_string.h \
 ../../TAO_IDL/include/utl_identifier.h ../../TAO_IDL/include/ast.h \
 ../../TAO_IDL/include/utl_scoped_name.h \
 ../../TAO_IDL/include/ast_decl.h \
 ../../TAO_IDL/include/ast_expression.h \
 ../../TAO_IDL/include/utl_scope.h ../../TAO_IDL/include/ast_type.h \
 ../../TAO_IDL/include/ast_concrete_type.h \
 ../../TAO_IDL/include/ast_predefined_type.h \
 ../../TAO_IDL/include/ast_module.h ../../TAO_IDL/include/ast_root.h \
 ../../TAO_IDL/include/ast_interface.h \
 ../../TAO_IDL/include/ast_interface_fwd.h \
 ../../TAO_IDL/include/ast_structure.h \
 ../../TAO_IDL/include/ast_exception.h \
 ../../TAO_IDL/include/ast_enum.h \
 ../../TAO_IDL/include/ast_operation.h \
 ../../TAO_IDL/include/utl_list.h ../../TAO_IDL/include/ast_field.h \
 ../../TAO_IDL/include/ast_argument.h \
 ../../TAO_IDL/include/ast_attribute.h \
 ../../TAO_IDL/include/ast_union.h \
 ../../TAO_IDL/include/ast_union_branch.h \
 ../../TAO_IDL/include/ast_union_label.h \
 ../../TAO_IDL/include/ast_constant.h \
 ../../TAO_IDL/include/ast_enum_val.h \
 ../../TAO_IDL/include/ast_array.h \
 ../../TAO_IDL/include/ast_sequence.h \
 ../../TAO_IDL/include/ast_string.h \
 ../../TAO_IDL/include/ast_typedef.h \
 ../../TAO_IDL/include/ast_native.h \
 ../../TAO_IDL/include/ast_factory.h \
 ../../TAO_IDL/include/utl_strlist.h \
 ../../TAO_IDL/include/utl_exprlist.h \
 ../../TAO_IDL/include/ast_generator.h ../../TAO_IDL/include/util.h \
 ../../TAO_IDL/include/utl_stack.h ../../TAO_IDL/include/utl_idlist.h \
 ../../TAO_IDL/include/utl_exceptlist.h \
 ../../TAO_IDL/include/utl_namelist.h \
 ../../TAO_IDL/include/utl_labellist.h \
 ../../TAO_IDL/include/utl_decllist.h \
 ../../TAO_IDL/include/idl_global.h ../../TAO_IDL/include/utl_err.h \
 ../../TAO_IDL/include/utl_indenter.h ifr_adding_visitor_union.h

.obj/ifr_adding_visitor_union.o .obj/ifr_adding_visitor_union.so .shobj/ifr_adding_visitor_union.o .shobj/ifr_adding_visitor_union.so: ifr_adding_visitor_union.cpp \
 ifr_adding_visitor_union.h ifr_adding_visitor.h ifr_visitor.h \
 ../../TAO_IDL/include/ast_visitor.h \
 ../../TAO_IDL/include/TAO_IDL_FE_Export.h \
 $(ACE_ROOT)/ace/pre.h \
 $(ACE_ROOT)/ace/post.h \
 $(ACE_ROOT)/ace/ACE_export.h \
 $(ACE_ROOT)/ace/svc_export.h \
 $(ACE_ROOT)/ace/ace_wchar.h \
 $(ACE_ROOT)/ace/ace_wchar.inl \
 $(ACE_ROOT)/ace/OS_Errno.h \
 $(ACE_ROOT)/ace/OS_Export.h \
 $(ACE_ROOT)/ace/OS_Errno.inl \
 be_extern.h TAO_IFR_BE_Export.h be_global.h \
 ../../TAO_IDL/include/idl_bool.h \
 $(TAO_ROOT)/tao/ORB.h \
 $(TAO_ROOT)/tao/corbafwd.h \
 $(ACE_ROOT)/ace/CDR_Base.h \
 $(ACE_ROOT)/ace/Basic_Types.h \
 $(ACE_ROOT)/ace/Basic_Types.i \
 $(ACE_ROOT)/ace/Message_Block.h \
 $(ACE_ROOT)/ace/ACE.h \
 $(ACE_ROOT)/ace/OS.h \
 $(ACE_ROOT)/ace/OS_Dirent.h \
 $(ACE_ROOT)/ace/OS_Dirent.inl \
 $(ACE_ROOT)/ace/OS_String.h \
 $(ACE_ROOT)/ace/OS_String.inl \
 $(ACE_ROOT)/ace/OS_Memory.h \
 $(ACE_ROOT)/ace/OS_Memory.inl \
 $(ACE_ROOT)/ace/OS_TLI.h \
 $(ACE_ROOT)/ace/OS_TLI.inl \
 $(ACE_ROOT)/ace/Default_Constants.h \
 $(ACE_ROOT)/ace/Global_Macros.h \
 $(ACE_ROOT)/ace/Min_Max.h \
 $(ACE_ROOT)/ace/streams.h \
 $(ACE_ROOT)/ace/Trace.h \
 $(ACE_ROOT)/ace/OS.i \
 $(ACE_ROOT)/ace/Flag_Manip.h \
 $(ACE_ROOT)/ace/Flag_Manip.i \
 $(ACE_ROOT)/ace/Handle_Ops.h \
 $(ACE_ROOT)/ace/Handle_Ops.i \
 $(ACE_ROOT)/ace/Lib_Find.h \
 $(ACE_ROOT)/ace/Lib_Find.i \
 $(ACE_ROOT)/ace/Init_ACE.h \
 $(ACE_ROOT)/ace/Init_ACE.i \
 $(ACE_ROOT)/ace/Sock_Connect.h \
 $(ACE_ROOT)/ace/Sock_Connect.i \
 $(ACE_ROOT)/ace/ACE.i \
 $(ACE_ROOT)/ace/Malloc.h \
 $(ACE_ROOT)/ace/Log_Msg.h \
 $(ACE_ROOT)/ace/Log_Record.h \
 $(ACE_ROOT)/ace/Log_Priority.h \
 $(ACE_ROOT)/ace/Log_Record.i \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.h \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.inl \
 $(ACE_ROOT)/ace/Malloc.i \
 $(ACE_ROOT)/ace/Malloc_T.h \
 $(ACE_ROOT)/ace/Synch.h \
 $(ACE_ROOT)/ace/Synch.i \
 $(ACE_ROOT)/ace/Synch_T.h \
 $(ACE_ROOT)/ace/Synch_T.i \
 $(ACE_ROOT)/ace/Thread.h \
 $(ACE_ROOT)/ace/Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread.i \
 $(ACE_ROOT)/ace/Synch_T.cpp \
 $(ACE_ROOT)/ace/Malloc_Allocator.h \
 $(ACE_ROOT)/ace/Malloc_Base.h \
 $(ACE_ROOT)/ace/Malloc_Allocator.i \
 $(ACE_ROOT)/ace/Free_List.h \
 $(ACE_ROOT)/ace/Free_List.i \
 $(ACE_ROOT)/ace/Free_List.cpp \
 $(ACE_ROOT)/ace/Malloc_T.i \
 $(ACE_ROOT)/ace/Malloc_T.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.h \
 $(ACE_ROOT)/ace/Event_Handler.h \
 $(ACE_ROOT)/ace/Event_Handler.i \
 $(ACE_ROOT)/ace/Signal.h \
 $(ACE_ROOT)/ace/Signal.i \
 $(ACE_ROOT)/ace/Mem_Map.h \
 $(ACE_ROOT)/ace/Mem_Map.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.i \
 $(ACE_ROOT)/ace/Unbounded_Set.h \
 $(ACE_ROOT)/ace/Node.h \
 $(ACE_ROOT)/ace/Node.cpp \
 $(ACE_ROOT)/ace/Unbounded_Set.inl \
 $(ACE_ROOT)/ace/Unbounded_Set.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.i \
 $(ACE_ROOT)/ace/Message_Block.i \
 $(ACE_ROOT)/ace/Message_Block_T.h \
 $(ACE_ROOT)/ace/Message_Block_T.i \
 $(ACE_ROOT)/ace/Message_Block_T.cpp \
 $(ACE_ROOT)/ace/CDR_Base.inl \
 $(TAO_ROOT)/tao/try_macros.h \
 $(TAO_ROOT)/tao/orbconf.h \
 $(ACE_ROOT)/ace/CORBA_macros.h \
 $(TAO_ROOT)/tao/varbase.h \
 $(TAO_ROOT)/tao/TAO_Export.h \
 $(TAO_ROOT)/tao/corbafwd.i \
 $(TAO_ROOT)/tao/Exception.h \
 $(ACE_ROOT)/ace/SString.h \
 $(ACE_ROOT)/ace/String_Base.h \
 $(ACE_ROOT)/ace/String_Base_Const.h \
 $(ACE_ROOT)/ace/String_Base.i \
 $(ACE_ROOT)/ace/String_Base.cpp \
 $(ACE_ROOT)/ace/Auto_Ptr.h \
 $(ACE_ROOT)/ace/Auto_Ptr.i \
 $(ACE_ROOT)/ace/Auto_Ptr.cpp \
 $(ACE_ROOT)/ace/SString.i \
 $(TAO_ROOT)/tao/Exception.i \
 $(TAO_ROOT)/tao/Services.h \
 $(TAO_ROOT)/tao/Sequence.h \
 $(TAO_ROOT)/tao/Managed_Types.h \
 $(TAO_ROOT)/tao/Managed_Types.i \
 $(TAO_ROOT)/tao/Sequence.i \
 $(TAO_ROOT)/tao/Sequence_T.h \
 $(TAO_ROOT)/tao/Sequence_T.i \
 $(TAO_ROOT)/tao/Sequence_T.cpp \
 $(TAO_ROOT)/tao/Environment.h \
 $(TAO_ROOT)/tao/Environment.i \
 $(TAO_ROOT)/tao/Services.i \
 $(TAO_ROOT)/tao/CORBA_String.h \
 $(TAO_ROOT)/tao/CORBA_String.inl \
 $(TAO_ROOT)/tao/PolicyC.h \
 $(TAO_ROOT)/tao/Encodable.h \
 $(TAO_ROOT)/tao/CDR.h \
 $(ACE_ROOT)/ace/CDR_Stream.h \
 $(ACE_ROOT)/ace/CDR_Stream.i \
 $(TAO_ROOT)/tao/CDR.i \
 $(TAO_ROOT)/tao/Remote_Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/CurrentC.h \
 $(TAO_ROOT)/tao/Object.h \
 $(TAO_ROOT)/tao/Object_Proxy_Broker.h \
 $(TAO_ROOT)/tao/Object.i \
 $(TAO_ROOT)/tao/CurrentC.i \
 $(TAO_ROOT)/tao/PolicyC.i \
 $(TAO_ROOT)/tao/ORB.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.h \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.h \
 $(TAO_ROOT)/tao/IFR_Client/ifr_client_export.h \
 $(TAO_ROOT)/tao/Invocation.h \
 $(TAO_ROOT)/tao/Stub.h \
 $(TAO_ROOT)/tao/Pluggable.h \
 $(TAO_ROOT)/tao/Typecode.h \
 $(TAO_ROOT)/tao/Typecode.i \
 $(TAO_ROOT)/tao/IOPC.h \
 $(TAO_ROOT)/tao/Any.h \
 $(TAO_ROOT)/tao/Any.i \
 $(TAO_ROOT)/tao/IOPC.i \
 $(TAO_ROOT)/tao/Pluggable.i \
 $(TAO_ROOT)/tao/MProfile.h \
 $(TAO_ROOT)/tao/Profile.h \
 $(TAO_ROOT)/tao/Tagged_Components.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.i \
 $(TAO_ROOT)/tao/Tagged_Components.i \
 $(TAO_ROOT)/tao/GIOP_Message_Version.h \
 $(TAO_ROOT)/tao/GIOP_Message_Version.inl \
 $(TAO_ROOT)/tao/Profile.i \
 $(TAO_ROOT)/tao/MProfile.i \
 $(TAO_ROOT)/tao/ORB_Core.h \
 $(TAO_ROOT)/tao/Policy_Manager.h \
 $(TAO_ROOT)/tao/Policy_Set.h \
 $(TAO_ROOT)/tao/Policy_Set.i \
 $(TAO_ROOT)/tao/LocalObject.h \
 $(TAO_ROOT)/tao/LocalObject.i \
 $(TAO_ROOT)/tao/debug.h \
 $(TAO_ROOT)/tao/Policy_Manager.i \
 $(TAO_ROOT)/tao/Resource_Factory.h \
 $(ACE_ROOT)/ace/Service_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.i \
 $(ACE_ROOT)/ace/Service_Object.i \
 $(TAO_ROOT)/tao/Protocol_Factory.h \
 $(TAO_ROOT)/tao/params.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.inl \
 $(ACE_ROOT)/ace/Unbounded_Queue.cpp \
 $(TAO_ROOT)/tao/params.i \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.h \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.h \
 $(TAO_ROOT)/tao/TAO_Singleton.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.cpp \
 $(ACE_ROOT)/ace/Object_Manager.h \
 $(ACE_ROOT)/ace/Object_Manager.i \
 $(ACE_ROOT)/ace/Managed_Object.h \
 $(ACE_ROOT)/ace/Managed_Object.i \
 $(ACE_ROOT)/ace/Managed_Object.cpp \
 $(TAO_ROOT)/tao/Adapter.h \
 $(TAO_ROOT)/tao/Adapter.i \
 $(TAO_ROOT)/tao/PolicyFactory_Registry.h \
 $(TAO_ROOT)/tao/PortableInterceptorC.h \
 $(TAO_ROOT)/tao/DynamicC.h \
 $(TAO_ROOT)/tao/DynamicC.i \
 $(TAO_ROOT)/tao/MessagingC.h \
 $(TAO_ROOT)/tao/ValueBase.h \
 $(TAO_ROOT)/tao/ValueBase.i \
 $(TAO_ROOT)/tao/ValueFactory.h \
 $(TAO_ROOT)/tao/ValueFactory.i \
 $(TAO_ROOT)/tao/TimeBaseC.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.h \
 $(TAO_ROOT)/tao/SmartProxies/smartproxies_export.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.inl \
 $(TAO_ROOT)/tao/TimeBaseC.i \
 $(TAO_ROOT)/tao/PollableC.h \
 $(TAO_ROOT)/tao/PollableC.i \
 $(TAO_ROOT)/tao/MessagingC.i \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.h \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.i \
 $(TAO_ROOT)/tao/PortableInterceptorC.i \
 $(ACE_ROOT)/ace/Map_Manager.h \
 $(ACE_ROOT)/ace/Map_Manager.i \
 $(ACE_ROOT)/ace/Map_Manager.cpp \
 $(ACE_ROOT)/ace/Service_Config.h \
 $(ACE_ROOT)/ace/Service_Config.i \
 $(ACE_ROOT)/ace/Reactor.h \
 $(ACE_ROOT)/ace/Handle_Set.h \
 $(ACE_ROOT)/ace/Handle_Set.i \
 $(ACE_ROOT)/ace/Timer_Queue.h \
 $(ACE_ROOT)/ace/Timer_Queue_T.h \
 $(ACE_ROOT)/ace/Test_and_Set.h \
 $(ACE_ROOT)/ace/Test_and_Set.i \
 $(ACE_ROOT)/ace/Test_and_Set.cpp \
 $(ACE_ROOT)/ace/Timer_Queue_T.i \
 $(ACE_ROOT)/ace/Timer_Queue_T.cpp \
 $(ACE_ROOT)/ace/Reactor.i \
 $(ACE_ROOT)/ace/Reactor_Impl.h \
 $(ACE_ROOT)/ace/Svc_Conf_Tokens.h \
 $(TAO_ROOT)/tao/Parser_Registry.h \
 $(TAO_ROOT)/tao/Parser_Registry.i \
 $(TAO_ROOT)/tao/Service_Callbacks.h \
 $(TAO_ROOT)/tao/Service_Callbacks.i \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.h \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.i \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.h \
 $(ACE_ROOT)/ace/Array_Base.h \
 $(ACE_ROOT)/ace/Array_Base.inl \
 $(ACE_ROOT)/ace/Array_Base.cpp \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.inl \
 $(TAO_ROOT)/tao/Object_Ref_Table.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.h \
 $(ACE_ROOT)/ace/Functor.h \
 $(ACE_ROOT)/ace/Functor.i \
 $(ACE_ROOT)/ace/Functor_T.h \
 $(ACE_ROOT)/ace/Functor_T.i \
 $(ACE_ROOT)/ace/Functor_T.cpp \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.i \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.cpp \
 $(TAO_ROOT)/tao/Interceptor_List.h \
 $(TAO_ROOT)/tao/Interceptor_List.inl \
 $(TAO_ROOT)/tao/PICurrent.h \
 $(TAO_ROOT)/tao/PICurrent.inl \
 $(TAO_ROOT)/tao/Protocols_Hooks.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager.h \
 $(ACE_ROOT)/ace/Thread_Manager.h \
 $(ACE_ROOT)/ace/Containers.h \
 $(ACE_ROOT)/ace/Containers.i \
 $(ACE_ROOT)/ace/Containers_T.h \
 $(ACE_ROOT)/ace/Containers_T.i \
 $(ACE_ROOT)/ace/Containers_T.cpp \
 $(ACE_ROOT)/ace/Singleton.h \
 $(ACE_ROOT)/ace/Singleton.i \
 $(ACE_ROOT)/ace/Singleton.cpp \
 $(ACE_ROOT)/ace/Thread_Manager.i \
 $(TAO_ROOT)/tao/ORB_Core.i \
 $(TAO_ROOT)/tao/Stub.i \
 $(TAO_ROOT)/tao/Synch_Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.i \
 $(TAO_ROOT)/tao/LF_Event.h \
 $(TAO_ROOT)/tao/LF_Event.inl \
 $(TAO_ROOT)/tao/TAOC.h \
 $(TAO_ROOT)/tao/TAOC.i \
 $(TAO_ROOT)/tao/operation_details.h \
 $(TAO_ROOT)/tao/Service_Context.h \
 $(TAO_ROOT)/tao/Service_Context.inl \
 $(TAO_ROOT)/tao/target_specification.h \
 $(TAO_ROOT)/tao/Object_KeyC.h \
 $(TAO_ROOT)/tao/Object_KeyC.i \
 $(TAO_ROOT)/tao/target_specification.i \
 $(TAO_ROOT)/tao/operation_details.i \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.h \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.i \
 $(TAO_ROOT)/tao/Invocation.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.i \
 ../../TAO_IDL/include/idl.h ../../TAO_IDL/include/idl_narrow.h \
 ../../TAO_IDL/include/idl_defines.h ../../TAO_IDL/include/idl_fwd.h \
 ../../TAO_IDL/include/utl_string.h \
 ../../TAO_IDL/include/utl_identifier.h ../../TAO_IDL/include/ast.h \
 ../../TAO_IDL/include/utl_scoped_name.h \
 ../../TAO_IDL/include/ast_decl.h \
 ../../TAO_IDL/include/ast_expression.h \
 ../../TAO_IDL/include/utl_scope.h ../../TAO_IDL/include/ast_type.h \
 ../../TAO_IDL/include/ast_concrete_type.h \
 ../../TAO_IDL/include/ast_predefined_type.h \
 ../../TAO_IDL/include/ast_module.h ../../TAO_IDL/include/ast_root.h \
 ../../TAO_IDL/include/ast_interface.h \
 ../../TAO_IDL/include/ast_interface_fwd.h \
 ../../TAO_IDL/include/ast_structure.h \
 ../../TAO_IDL/include/ast_exception.h \
 ../../TAO_IDL/include/ast_enum.h \
 ../../TAO_IDL/include/ast_operation.h \
 ../../TAO_IDL/include/utl_list.h ../../TAO_IDL/include/ast_field.h \
 ../../TAO_IDL/include/ast_argument.h \
 ../../TAO_IDL/include/ast_attribute.h \
 ../../TAO_IDL/include/ast_union.h \
 ../../TAO_IDL/include/ast_union_branch.h \
 ../../TAO_IDL/include/ast_union_label.h \
 ../../TAO_IDL/include/ast_constant.h \
 ../../TAO_IDL/include/ast_enum_val.h \
 ../../TAO_IDL/include/ast_array.h \
 ../../TAO_IDL/include/ast_sequence.h \
 ../../TAO_IDL/include/ast_string.h \
 ../../TAO_IDL/include/ast_typedef.h \
 ../../TAO_IDL/include/ast_native.h \
 ../../TAO_IDL/include/ast_factory.h \
 ../../TAO_IDL/include/utl_strlist.h \
 ../../TAO_IDL/include/utl_exprlist.h \
 ../../TAO_IDL/include/ast_generator.h ../../TAO_IDL/include/util.h \
 ../../TAO_IDL/include/utl_stack.h ../../TAO_IDL/include/utl_idlist.h \
 ../../TAO_IDL/include/utl_exceptlist.h \
 ../../TAO_IDL/include/utl_namelist.h \
 ../../TAO_IDL/include/utl_labellist.h \
 ../../TAO_IDL/include/utl_decllist.h \
 ../../TAO_IDL/include/idl_global.h ../../TAO_IDL/include/utl_err.h \
 ../../TAO_IDL/include/utl_indenter.h ifr_adding_visitor_structure.h

.obj/ifr_removing_visitor.o .obj/ifr_removing_visitor.so .shobj/ifr_removing_visitor.o .shobj/ifr_removing_visitor.so: ifr_removing_visitor.cpp \
 ifr_removing_visitor.h ifr_visitor.h \
 ../../TAO_IDL/include/ast_visitor.h \
 ../../TAO_IDL/include/TAO_IDL_FE_Export.h \
 $(ACE_ROOT)/ace/pre.h \
 $(ACE_ROOT)/ace/post.h \
 $(ACE_ROOT)/ace/ACE_export.h \
 $(ACE_ROOT)/ace/svc_export.h \
 $(ACE_ROOT)/ace/ace_wchar.h \
 $(ACE_ROOT)/ace/ace_wchar.inl \
 $(ACE_ROOT)/ace/OS_Errno.h \
 $(ACE_ROOT)/ace/OS_Export.h \
 $(ACE_ROOT)/ace/OS_Errno.inl \
 be_extern.h TAO_IFR_BE_Export.h be_global.h \
 ../../TAO_IDL/include/idl_bool.h \
 $(TAO_ROOT)/tao/ORB.h \
 $(TAO_ROOT)/tao/corbafwd.h \
 $(ACE_ROOT)/ace/CDR_Base.h \
 $(ACE_ROOT)/ace/Basic_Types.h \
 $(ACE_ROOT)/ace/Basic_Types.i \
 $(ACE_ROOT)/ace/Message_Block.h \
 $(ACE_ROOT)/ace/ACE.h \
 $(ACE_ROOT)/ace/OS.h \
 $(ACE_ROOT)/ace/OS_Dirent.h \
 $(ACE_ROOT)/ace/OS_Dirent.inl \
 $(ACE_ROOT)/ace/OS_String.h \
 $(ACE_ROOT)/ace/OS_String.inl \
 $(ACE_ROOT)/ace/OS_Memory.h \
 $(ACE_ROOT)/ace/OS_Memory.inl \
 $(ACE_ROOT)/ace/OS_TLI.h \
 $(ACE_ROOT)/ace/OS_TLI.inl \
 $(ACE_ROOT)/ace/Default_Constants.h \
 $(ACE_ROOT)/ace/Global_Macros.h \
 $(ACE_ROOT)/ace/Min_Max.h \
 $(ACE_ROOT)/ace/streams.h \
 $(ACE_ROOT)/ace/Trace.h \
 $(ACE_ROOT)/ace/OS.i \
 $(ACE_ROOT)/ace/Flag_Manip.h \
 $(ACE_ROOT)/ace/Flag_Manip.i \
 $(ACE_ROOT)/ace/Handle_Ops.h \
 $(ACE_ROOT)/ace/Handle_Ops.i \
 $(ACE_ROOT)/ace/Lib_Find.h \
 $(ACE_ROOT)/ace/Lib_Find.i \
 $(ACE_ROOT)/ace/Init_ACE.h \
 $(ACE_ROOT)/ace/Init_ACE.i \
 $(ACE_ROOT)/ace/Sock_Connect.h \
 $(ACE_ROOT)/ace/Sock_Connect.i \
 $(ACE_ROOT)/ace/ACE.i \
 $(ACE_ROOT)/ace/Malloc.h \
 $(ACE_ROOT)/ace/Log_Msg.h \
 $(ACE_ROOT)/ace/Log_Record.h \
 $(ACE_ROOT)/ace/Log_Priority.h \
 $(ACE_ROOT)/ace/Log_Record.i \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.h \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.inl \
 $(ACE_ROOT)/ace/Malloc.i \
 $(ACE_ROOT)/ace/Malloc_T.h \
 $(ACE_ROOT)/ace/Synch.h \
 $(ACE_ROOT)/ace/Synch.i \
 $(ACE_ROOT)/ace/Synch_T.h \
 $(ACE_ROOT)/ace/Synch_T.i \
 $(ACE_ROOT)/ace/Thread.h \
 $(ACE_ROOT)/ace/Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread.i \
 $(ACE_ROOT)/ace/Synch_T.cpp \
 $(ACE_ROOT)/ace/Malloc_Allocator.h \
 $(ACE_ROOT)/ace/Malloc_Base.h \
 $(ACE_ROOT)/ace/Malloc_Allocator.i \
 $(ACE_ROOT)/ace/Free_List.h \
 $(ACE_ROOT)/ace/Free_List.i \
 $(ACE_ROOT)/ace/Free_List.cpp \
 $(ACE_ROOT)/ace/Malloc_T.i \
 $(ACE_ROOT)/ace/Malloc_T.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.h \
 $(ACE_ROOT)/ace/Event_Handler.h \
 $(ACE_ROOT)/ace/Event_Handler.i \
 $(ACE_ROOT)/ace/Signal.h \
 $(ACE_ROOT)/ace/Signal.i \
 $(ACE_ROOT)/ace/Mem_Map.h \
 $(ACE_ROOT)/ace/Mem_Map.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.i \
 $(ACE_ROOT)/ace/Unbounded_Set.h \
 $(ACE_ROOT)/ace/Node.h \
 $(ACE_ROOT)/ace/Node.cpp \
 $(ACE_ROOT)/ace/Unbounded_Set.inl \
 $(ACE_ROOT)/ace/Unbounded_Set.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.i \
 $(ACE_ROOT)/ace/Message_Block.i \
 $(ACE_ROOT)/ace/Message_Block_T.h \
 $(ACE_ROOT)/ace/Message_Block_T.i \
 $(ACE_ROOT)/ace/Message_Block_T.cpp \
 $(ACE_ROOT)/ace/CDR_Base.inl \
 $(TAO_ROOT)/tao/try_macros.h \
 $(TAO_ROOT)/tao/orbconf.h \
 $(ACE_ROOT)/ace/CORBA_macros.h \
 $(TAO_ROOT)/tao/varbase.h \
 $(TAO_ROOT)/tao/TAO_Export.h \
 $(TAO_ROOT)/tao/corbafwd.i \
 $(TAO_ROOT)/tao/Exception.h \
 $(ACE_ROOT)/ace/SString.h \
 $(ACE_ROOT)/ace/String_Base.h \
 $(ACE_ROOT)/ace/String_Base_Const.h \
 $(ACE_ROOT)/ace/String_Base.i \
 $(ACE_ROOT)/ace/String_Base.cpp \
 $(ACE_ROOT)/ace/Auto_Ptr.h \
 $(ACE_ROOT)/ace/Auto_Ptr.i \
 $(ACE_ROOT)/ace/Auto_Ptr.cpp \
 $(ACE_ROOT)/ace/SString.i \
 $(TAO_ROOT)/tao/Exception.i \
 $(TAO_ROOT)/tao/Services.h \
 $(TAO_ROOT)/tao/Sequence.h \
 $(TAO_ROOT)/tao/Managed_Types.h \
 $(TAO_ROOT)/tao/Managed_Types.i \
 $(TAO_ROOT)/tao/Sequence.i \
 $(TAO_ROOT)/tao/Sequence_T.h \
 $(TAO_ROOT)/tao/Sequence_T.i \
 $(TAO_ROOT)/tao/Sequence_T.cpp \
 $(TAO_ROOT)/tao/Environment.h \
 $(TAO_ROOT)/tao/Environment.i \
 $(TAO_ROOT)/tao/Services.i \
 $(TAO_ROOT)/tao/CORBA_String.h \
 $(TAO_ROOT)/tao/CORBA_String.inl \
 $(TAO_ROOT)/tao/PolicyC.h \
 $(TAO_ROOT)/tao/Encodable.h \
 $(TAO_ROOT)/tao/CDR.h \
 $(ACE_ROOT)/ace/CDR_Stream.h \
 $(ACE_ROOT)/ace/CDR_Stream.i \
 $(TAO_ROOT)/tao/CDR.i \
 $(TAO_ROOT)/tao/Remote_Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/CurrentC.h \
 $(TAO_ROOT)/tao/Object.h \
 $(TAO_ROOT)/tao/Object_Proxy_Broker.h \
 $(TAO_ROOT)/tao/Object.i \
 $(TAO_ROOT)/tao/CurrentC.i \
 $(TAO_ROOT)/tao/PolicyC.i \
 $(TAO_ROOT)/tao/ORB.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.h \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.h \
 $(TAO_ROOT)/tao/IFR_Client/ifr_client_export.h \
 $(TAO_ROOT)/tao/Invocation.h \
 $(TAO_ROOT)/tao/Stub.h \
 $(TAO_ROOT)/tao/Pluggable.h \
 $(TAO_ROOT)/tao/Typecode.h \
 $(TAO_ROOT)/tao/Typecode.i \
 $(TAO_ROOT)/tao/IOPC.h \
 $(TAO_ROOT)/tao/Any.h \
 $(TAO_ROOT)/tao/Any.i \
 $(TAO_ROOT)/tao/IOPC.i \
 $(TAO_ROOT)/tao/Pluggable.i \
 $(TAO_ROOT)/tao/MProfile.h \
 $(TAO_ROOT)/tao/Profile.h \
 $(TAO_ROOT)/tao/Tagged_Components.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.i \
 $(TAO_ROOT)/tao/Tagged_Components.i \
 $(TAO_ROOT)/tao/GIOP_Message_Version.h \
 $(TAO_ROOT)/tao/GIOP_Message_Version.inl \
 $(TAO_ROOT)/tao/Profile.i \
 $(TAO_ROOT)/tao/MProfile.i \
 $(TAO_ROOT)/tao/ORB_Core.h \
 $(TAO_ROOT)/tao/Policy_Manager.h \
 $(TAO_ROOT)/tao/Policy_Set.h \
 $(TAO_ROOT)/tao/Policy_Set.i \
 $(TAO_ROOT)/tao/LocalObject.h \
 $(TAO_ROOT)/tao/LocalObject.i \
 $(TAO_ROOT)/tao/debug.h \
 $(TAO_ROOT)/tao/Policy_Manager.i \
 $(TAO_ROOT)/tao/Resource_Factory.h \
 $(ACE_ROOT)/ace/Service_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.i \
 $(ACE_ROOT)/ace/Service_Object.i \
 $(TAO_ROOT)/tao/Protocol_Factory.h \
 $(TAO_ROOT)/tao/params.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.inl \
 $(ACE_ROOT)/ace/Unbounded_Queue.cpp \
 $(TAO_ROOT)/tao/params.i \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.h \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.h \
 $(TAO_ROOT)/tao/TAO_Singleton.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.cpp \
 $(ACE_ROOT)/ace/Object_Manager.h \
 $(ACE_ROOT)/ace/Object_Manager.i \
 $(ACE_ROOT)/ace/Managed_Object.h \
 $(ACE_ROOT)/ace/Managed_Object.i \
 $(ACE_ROOT)/ace/Managed_Object.cpp \
 $(TAO_ROOT)/tao/Adapter.h \
 $(TAO_ROOT)/tao/Adapter.i \
 $(TAO_ROOT)/tao/PolicyFactory_Registry.h \
 $(TAO_ROOT)/tao/PortableInterceptorC.h \
 $(TAO_ROOT)/tao/DynamicC.h \
 $(TAO_ROOT)/tao/DynamicC.i \
 $(TAO_ROOT)/tao/MessagingC.h \
 $(TAO_ROOT)/tao/ValueBase.h \
 $(TAO_ROOT)/tao/ValueBase.i \
 $(TAO_ROOT)/tao/ValueFactory.h \
 $(TAO_ROOT)/tao/ValueFactory.i \
 $(TAO_ROOT)/tao/TimeBaseC.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.h \
 $(TAO_ROOT)/tao/SmartProxies/smartproxies_export.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.inl \
 $(TAO_ROOT)/tao/TimeBaseC.i \
 $(TAO_ROOT)/tao/PollableC.h \
 $(TAO_ROOT)/tao/PollableC.i \
 $(TAO_ROOT)/tao/MessagingC.i \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.h \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.i \
 $(TAO_ROOT)/tao/PortableInterceptorC.i \
 $(ACE_ROOT)/ace/Map_Manager.h \
 $(ACE_ROOT)/ace/Map_Manager.i \
 $(ACE_ROOT)/ace/Map_Manager.cpp \
 $(ACE_ROOT)/ace/Service_Config.h \
 $(ACE_ROOT)/ace/Service_Config.i \
 $(ACE_ROOT)/ace/Reactor.h \
 $(ACE_ROOT)/ace/Handle_Set.h \
 $(ACE_ROOT)/ace/Handle_Set.i \
 $(ACE_ROOT)/ace/Timer_Queue.h \
 $(ACE_ROOT)/ace/Timer_Queue_T.h \
 $(ACE_ROOT)/ace/Test_and_Set.h \
 $(ACE_ROOT)/ace/Test_and_Set.i \
 $(ACE_ROOT)/ace/Test_and_Set.cpp \
 $(ACE_ROOT)/ace/Timer_Queue_T.i \
 $(ACE_ROOT)/ace/Timer_Queue_T.cpp \
 $(ACE_ROOT)/ace/Reactor.i \
 $(ACE_ROOT)/ace/Reactor_Impl.h \
 $(ACE_ROOT)/ace/Svc_Conf_Tokens.h \
 $(TAO_ROOT)/tao/Parser_Registry.h \
 $(TAO_ROOT)/tao/Parser_Registry.i \
 $(TAO_ROOT)/tao/Service_Callbacks.h \
 $(TAO_ROOT)/tao/Service_Callbacks.i \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.h \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.i \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.h \
 $(ACE_ROOT)/ace/Array_Base.h \
 $(ACE_ROOT)/ace/Array_Base.inl \
 $(ACE_ROOT)/ace/Array_Base.cpp \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.inl \
 $(TAO_ROOT)/tao/Object_Ref_Table.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.h \
 $(ACE_ROOT)/ace/Functor.h \
 $(ACE_ROOT)/ace/Functor.i \
 $(ACE_ROOT)/ace/Functor_T.h \
 $(ACE_ROOT)/ace/Functor_T.i \
 $(ACE_ROOT)/ace/Functor_T.cpp \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.i \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.cpp \
 $(TAO_ROOT)/tao/Interceptor_List.h \
 $(TAO_ROOT)/tao/Interceptor_List.inl \
 $(TAO_ROOT)/tao/PICurrent.h \
 $(TAO_ROOT)/tao/PICurrent.inl \
 $(TAO_ROOT)/tao/Protocols_Hooks.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager.h \
 $(ACE_ROOT)/ace/Thread_Manager.h \
 $(ACE_ROOT)/ace/Containers.h \
 $(ACE_ROOT)/ace/Containers.i \
 $(ACE_ROOT)/ace/Containers_T.h \
 $(ACE_ROOT)/ace/Containers_T.i \
 $(ACE_ROOT)/ace/Containers_T.cpp \
 $(ACE_ROOT)/ace/Singleton.h \
 $(ACE_ROOT)/ace/Singleton.i \
 $(ACE_ROOT)/ace/Singleton.cpp \
 $(ACE_ROOT)/ace/Thread_Manager.i \
 $(TAO_ROOT)/tao/ORB_Core.i \
 $(TAO_ROOT)/tao/Stub.i \
 $(TAO_ROOT)/tao/Synch_Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.i \
 $(TAO_ROOT)/tao/LF_Event.h \
 $(TAO_ROOT)/tao/LF_Event.inl \
 $(TAO_ROOT)/tao/TAOC.h \
 $(TAO_ROOT)/tao/TAOC.i \
 $(TAO_ROOT)/tao/operation_details.h \
 $(TAO_ROOT)/tao/Service_Context.h \
 $(TAO_ROOT)/tao/Service_Context.inl \
 $(TAO_ROOT)/tao/target_specification.h \
 $(TAO_ROOT)/tao/Object_KeyC.h \
 $(TAO_ROOT)/tao/Object_KeyC.i \
 $(TAO_ROOT)/tao/target_specification.i \
 $(TAO_ROOT)/tao/operation_details.i \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.h \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.i \
 $(TAO_ROOT)/tao/Invocation.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.i \
 ../../TAO_IDL/include/utl_scope.h ../../TAO_IDL/include/idl_fwd.h \
 ../../TAO_IDL/include/idl_narrow.h ../../TAO_IDL/include/ast_decl.h \
 ../../TAO_IDL/include/utl_scoped_name.h \
 ../../TAO_IDL/include/utl_string.h \
 ../../TAO_IDL/include/ast_expression.h

.obj/ifr_visitor.o .obj/ifr_visitor.so .shobj/ifr_visitor.o .shobj/ifr_visitor.so: ifr_visitor.cpp ifr_visitor.h \
 ../../TAO_IDL/include/ast_visitor.h \
 ../../TAO_IDL/include/TAO_IDL_FE_Export.h \
 $(ACE_ROOT)/ace/pre.h \
 $(ACE_ROOT)/ace/post.h \
 $(ACE_ROOT)/ace/ACE_export.h \
 $(ACE_ROOT)/ace/svc_export.h \
 $(ACE_ROOT)/ace/ace_wchar.h \
 $(ACE_ROOT)/ace/ace_wchar.inl \
 $(ACE_ROOT)/ace/OS_Errno.h \
 $(ACE_ROOT)/ace/OS_Export.h \
 $(ACE_ROOT)/ace/OS_Errno.inl \
 be_extern.h TAO_IFR_BE_Export.h be_global.h \
 ../../TAO_IDL/include/idl_bool.h \
 $(TAO_ROOT)/tao/ORB.h \
 $(TAO_ROOT)/tao/corbafwd.h \
 $(ACE_ROOT)/ace/CDR_Base.h \
 $(ACE_ROOT)/ace/Basic_Types.h \
 $(ACE_ROOT)/ace/Basic_Types.i \
 $(ACE_ROOT)/ace/Message_Block.h \
 $(ACE_ROOT)/ace/ACE.h \
 $(ACE_ROOT)/ace/OS.h \
 $(ACE_ROOT)/ace/OS_Dirent.h \
 $(ACE_ROOT)/ace/OS_Dirent.inl \
 $(ACE_ROOT)/ace/OS_String.h \
 $(ACE_ROOT)/ace/OS_String.inl \
 $(ACE_ROOT)/ace/OS_Memory.h \
 $(ACE_ROOT)/ace/OS_Memory.inl \
 $(ACE_ROOT)/ace/OS_TLI.h \
 $(ACE_ROOT)/ace/OS_TLI.inl \
 $(ACE_ROOT)/ace/Default_Constants.h \
 $(ACE_ROOT)/ace/Global_Macros.h \
 $(ACE_ROOT)/ace/Min_Max.h \
 $(ACE_ROOT)/ace/streams.h \
 $(ACE_ROOT)/ace/Trace.h \
 $(ACE_ROOT)/ace/OS.i \
 $(ACE_ROOT)/ace/Flag_Manip.h \
 $(ACE_ROOT)/ace/Flag_Manip.i \
 $(ACE_ROOT)/ace/Handle_Ops.h \
 $(ACE_ROOT)/ace/Handle_Ops.i \
 $(ACE_ROOT)/ace/Lib_Find.h \
 $(ACE_ROOT)/ace/Lib_Find.i \
 $(ACE_ROOT)/ace/Init_ACE.h \
 $(ACE_ROOT)/ace/Init_ACE.i \
 $(ACE_ROOT)/ace/Sock_Connect.h \
 $(ACE_ROOT)/ace/Sock_Connect.i \
 $(ACE_ROOT)/ace/ACE.i \
 $(ACE_ROOT)/ace/Malloc.h \
 $(ACE_ROOT)/ace/Log_Msg.h \
 $(ACE_ROOT)/ace/Log_Record.h \
 $(ACE_ROOT)/ace/Log_Priority.h \
 $(ACE_ROOT)/ace/Log_Record.i \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.h \
 $(ACE_ROOT)/ace/OS_Log_Msg_Attributes.inl \
 $(ACE_ROOT)/ace/Malloc.i \
 $(ACE_ROOT)/ace/Malloc_T.h \
 $(ACE_ROOT)/ace/Synch.h \
 $(ACE_ROOT)/ace/Synch.i \
 $(ACE_ROOT)/ace/Synch_T.h \
 $(ACE_ROOT)/ace/Synch_T.i \
 $(ACE_ROOT)/ace/Thread.h \
 $(ACE_ROOT)/ace/Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.h \
 $(ACE_ROOT)/ace/Base_Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread_Adapter.inl \
 $(ACE_ROOT)/ace/Thread.i \
 $(ACE_ROOT)/ace/Synch_T.cpp \
 $(ACE_ROOT)/ace/Malloc_Allocator.h \
 $(ACE_ROOT)/ace/Malloc_Base.h \
 $(ACE_ROOT)/ace/Malloc_Allocator.i \
 $(ACE_ROOT)/ace/Free_List.h \
 $(ACE_ROOT)/ace/Free_List.i \
 $(ACE_ROOT)/ace/Free_List.cpp \
 $(ACE_ROOT)/ace/Malloc_T.i \
 $(ACE_ROOT)/ace/Malloc_T.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.h \
 $(ACE_ROOT)/ace/Event_Handler.h \
 $(ACE_ROOT)/ace/Event_Handler.i \
 $(ACE_ROOT)/ace/Signal.h \
 $(ACE_ROOT)/ace/Signal.i \
 $(ACE_ROOT)/ace/Mem_Map.h \
 $(ACE_ROOT)/ace/Mem_Map.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.h \
 $(ACE_ROOT)/ace/SV_Semaphore_Simple.i \
 $(ACE_ROOT)/ace/SV_Semaphore_Complex.i \
 $(ACE_ROOT)/ace/Unbounded_Set.h \
 $(ACE_ROOT)/ace/Node.h \
 $(ACE_ROOT)/ace/Node.cpp \
 $(ACE_ROOT)/ace/Unbounded_Set.inl \
 $(ACE_ROOT)/ace/Unbounded_Set.cpp \
 $(ACE_ROOT)/ace/Memory_Pool.i \
 $(ACE_ROOT)/ace/Message_Block.i \
 $(ACE_ROOT)/ace/Message_Block_T.h \
 $(ACE_ROOT)/ace/Message_Block_T.i \
 $(ACE_ROOT)/ace/Message_Block_T.cpp \
 $(ACE_ROOT)/ace/CDR_Base.inl \
 $(TAO_ROOT)/tao/try_macros.h \
 $(TAO_ROOT)/tao/orbconf.h \
 $(ACE_ROOT)/ace/CORBA_macros.h \
 $(TAO_ROOT)/tao/varbase.h \
 $(TAO_ROOT)/tao/TAO_Export.h \
 $(TAO_ROOT)/tao/corbafwd.i \
 $(TAO_ROOT)/tao/Exception.h \
 $(ACE_ROOT)/ace/SString.h \
 $(ACE_ROOT)/ace/String_Base.h \
 $(ACE_ROOT)/ace/String_Base_Const.h \
 $(ACE_ROOT)/ace/String_Base.i \
 $(ACE_ROOT)/ace/String_Base.cpp \
 $(ACE_ROOT)/ace/Auto_Ptr.h \
 $(ACE_ROOT)/ace/Auto_Ptr.i \
 $(ACE_ROOT)/ace/Auto_Ptr.cpp \
 $(ACE_ROOT)/ace/SString.i \
 $(TAO_ROOT)/tao/Exception.i \
 $(TAO_ROOT)/tao/Services.h \
 $(TAO_ROOT)/tao/Sequence.h \
 $(TAO_ROOT)/tao/Managed_Types.h \
 $(TAO_ROOT)/tao/Managed_Types.i \
 $(TAO_ROOT)/tao/Sequence.i \
 $(TAO_ROOT)/tao/Sequence_T.h \
 $(TAO_ROOT)/tao/Sequence_T.i \
 $(TAO_ROOT)/tao/Sequence_T.cpp \
 $(TAO_ROOT)/tao/Environment.h \
 $(TAO_ROOT)/tao/Environment.i \
 $(TAO_ROOT)/tao/Services.i \
 $(TAO_ROOT)/tao/CORBA_String.h \
 $(TAO_ROOT)/tao/CORBA_String.inl \
 $(TAO_ROOT)/tao/PolicyC.h \
 $(TAO_ROOT)/tao/Encodable.h \
 $(TAO_ROOT)/tao/CDR.h \
 $(ACE_ROOT)/ace/CDR_Stream.h \
 $(ACE_ROOT)/ace/CDR_Stream.i \
 $(TAO_ROOT)/tao/CDR.i \
 $(TAO_ROOT)/tao/Remote_Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/Object_Proxy_Impl.h \
 $(TAO_ROOT)/tao/CurrentC.h \
 $(TAO_ROOT)/tao/Object.h \
 $(TAO_ROOT)/tao/Object_Proxy_Broker.h \
 $(TAO_ROOT)/tao/Object.i \
 $(TAO_ROOT)/tao/CurrentC.i \
 $(TAO_ROOT)/tao/PolicyC.i \
 $(TAO_ROOT)/tao/ORB.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.h \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.h \
 $(TAO_ROOT)/tao/IFR_Client/ifr_client_export.h \
 $(TAO_ROOT)/tao/Invocation.h \
 $(TAO_ROOT)/tao/Stub.h \
 $(TAO_ROOT)/tao/Pluggable.h \
 $(TAO_ROOT)/tao/Typecode.h \
 $(TAO_ROOT)/tao/Typecode.i \
 $(TAO_ROOT)/tao/IOPC.h \
 $(TAO_ROOT)/tao/Any.h \
 $(TAO_ROOT)/tao/Any.i \
 $(TAO_ROOT)/tao/IOPC.i \
 $(TAO_ROOT)/tao/Pluggable.i \
 $(TAO_ROOT)/tao/MProfile.h \
 $(TAO_ROOT)/tao/Profile.h \
 $(TAO_ROOT)/tao/Tagged_Components.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.h \
 $(TAO_ROOT)/tao/CONV_FRAMEC.i \
 $(TAO_ROOT)/tao/Tagged_Components.i \
 $(TAO_ROOT)/tao/GIOP_Message_Version.h \
 $(TAO_ROOT)/tao/GIOP_Message_Version.inl \
 $(TAO_ROOT)/tao/Profile.i \
 $(TAO_ROOT)/tao/MProfile.i \
 $(TAO_ROOT)/tao/ORB_Core.h \
 $(TAO_ROOT)/tao/Policy_Manager.h \
 $(TAO_ROOT)/tao/Policy_Set.h \
 $(TAO_ROOT)/tao/Policy_Set.i \
 $(TAO_ROOT)/tao/LocalObject.h \
 $(TAO_ROOT)/tao/LocalObject.i \
 $(TAO_ROOT)/tao/debug.h \
 $(TAO_ROOT)/tao/Policy_Manager.i \
 $(TAO_ROOT)/tao/Resource_Factory.h \
 $(ACE_ROOT)/ace/Service_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.h \
 $(ACE_ROOT)/ace/Shared_Object.i \
 $(ACE_ROOT)/ace/Service_Object.i \
 $(TAO_ROOT)/tao/Protocol_Factory.h \
 $(TAO_ROOT)/tao/params.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.h \
 $(ACE_ROOT)/ace/Unbounded_Queue.inl \
 $(ACE_ROOT)/ace/Unbounded_Queue.cpp \
 $(TAO_ROOT)/tao/params.i \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.h \
 $(TAO_ROOT)/tao/TAO_Singleton_Manager.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.h \
 $(TAO_ROOT)/tao/TAO_Singleton.inl \
 $(TAO_ROOT)/tao/TAO_Singleton.cpp \
 $(ACE_ROOT)/ace/Object_Manager.h \
 $(ACE_ROOT)/ace/Object_Manager.i \
 $(ACE_ROOT)/ace/Managed_Object.h \
 $(ACE_ROOT)/ace/Managed_Object.i \
 $(ACE_ROOT)/ace/Managed_Object.cpp \
 $(TAO_ROOT)/tao/Adapter.h \
 $(TAO_ROOT)/tao/Adapter.i \
 $(TAO_ROOT)/tao/PolicyFactory_Registry.h \
 $(TAO_ROOT)/tao/PortableInterceptorC.h \
 $(TAO_ROOT)/tao/DynamicC.h \
 $(TAO_ROOT)/tao/DynamicC.i \
 $(TAO_ROOT)/tao/MessagingC.h \
 $(TAO_ROOT)/tao/ValueBase.h \
 $(TAO_ROOT)/tao/ValueBase.i \
 $(TAO_ROOT)/tao/ValueFactory.h \
 $(TAO_ROOT)/tao/ValueFactory.i \
 $(TAO_ROOT)/tao/TimeBaseC.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.h \
 $(TAO_ROOT)/tao/SmartProxies/smartproxies_export.h \
 $(TAO_ROOT)/tao/SmartProxies/Smart_Proxies.inl \
 $(TAO_ROOT)/tao/TimeBaseC.i \
 $(TAO_ROOT)/tao/PollableC.h \
 $(TAO_ROOT)/tao/PollableC.i \
 $(TAO_ROOT)/tao/MessagingC.i \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.h \
 $(TAO_ROOT)/tao/ObjectReferenceTemplateC.i \
 $(TAO_ROOT)/tao/PortableInterceptorC.i \
 $(ACE_ROOT)/ace/Map_Manager.h \
 $(ACE_ROOT)/ace/Map_Manager.i \
 $(ACE_ROOT)/ace/Map_Manager.cpp \
 $(ACE_ROOT)/ace/Service_Config.h \
 $(ACE_ROOT)/ace/Service_Config.i \
 $(ACE_ROOT)/ace/Reactor.h \
 $(ACE_ROOT)/ace/Handle_Set.h \
 $(ACE_ROOT)/ace/Handle_Set.i \
 $(ACE_ROOT)/ace/Timer_Queue.h \
 $(ACE_ROOT)/ace/Timer_Queue_T.h \
 $(ACE_ROOT)/ace/Test_and_Set.h \
 $(ACE_ROOT)/ace/Test_and_Set.i \
 $(ACE_ROOT)/ace/Test_and_Set.cpp \
 $(ACE_ROOT)/ace/Timer_Queue_T.i \
 $(ACE_ROOT)/ace/Timer_Queue_T.cpp \
 $(ACE_ROOT)/ace/Reactor.i \
 $(ACE_ROOT)/ace/Reactor_Impl.h \
 $(ACE_ROOT)/ace/Svc_Conf_Tokens.h \
 $(TAO_ROOT)/tao/Parser_Registry.h \
 $(TAO_ROOT)/tao/Parser_Registry.i \
 $(TAO_ROOT)/tao/Service_Callbacks.h \
 $(TAO_ROOT)/tao/Service_Callbacks.i \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.h \
 $(TAO_ROOT)/tao/Fault_Tolerance_Service.i \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.h \
 $(ACE_ROOT)/ace/Array_Base.h \
 $(ACE_ROOT)/ace/Array_Base.inl \
 $(ACE_ROOT)/ace/Array_Base.cpp \
 $(TAO_ROOT)/tao/Cleanup_Func_Registry.inl \
 $(TAO_ROOT)/tao/Object_Ref_Table.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.h \
 $(ACE_ROOT)/ace/Functor.h \
 $(ACE_ROOT)/ace/Functor.i \
 $(ACE_ROOT)/ace/Functor_T.h \
 $(ACE_ROOT)/ace/Functor_T.i \
 $(ACE_ROOT)/ace/Functor_T.cpp \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.i \
 $(ACE_ROOT)/ace/Hash_Map_Manager_T.cpp \
 $(TAO_ROOT)/tao/Interceptor_List.h \
 $(TAO_ROOT)/tao/Interceptor_List.inl \
 $(TAO_ROOT)/tao/PICurrent.h \
 $(TAO_ROOT)/tao/PICurrent.inl \
 $(TAO_ROOT)/tao/Protocols_Hooks.h \
 $(ACE_ROOT)/ace/Hash_Map_Manager.h \
 $(ACE_ROOT)/ace/Thread_Manager.h \
 $(ACE_ROOT)/ace/Containers.h \
 $(ACE_ROOT)/ace/Containers.i \
 $(ACE_ROOT)/ace/Containers_T.h \
 $(ACE_ROOT)/ace/Containers_T.i \
 $(ACE_ROOT)/ace/Containers_T.cpp \
 $(ACE_ROOT)/ace/Singleton.h \
 $(ACE_ROOT)/ace/Singleton.i \
 $(ACE_ROOT)/ace/Singleton.cpp \
 $(ACE_ROOT)/ace/Thread_Manager.i \
 $(TAO_ROOT)/tao/ORB_Core.i \
 $(TAO_ROOT)/tao/Stub.i \
 $(TAO_ROOT)/tao/Synch_Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.h \
 $(TAO_ROOT)/tao/Reply_Dispatcher.i \
 $(TAO_ROOT)/tao/LF_Event.h \
 $(TAO_ROOT)/tao/LF_Event.inl \
 $(TAO_ROOT)/tao/TAOC.h \
 $(TAO_ROOT)/tao/TAOC.i \
 $(TAO_ROOT)/tao/operation_details.h \
 $(TAO_ROOT)/tao/Service_Context.h \
 $(TAO_ROOT)/tao/Service_Context.inl \
 $(TAO_ROOT)/tao/target_specification.h \
 $(TAO_ROOT)/tao/Object_KeyC.h \
 $(TAO_ROOT)/tao/Object_KeyC.i \
 $(TAO_ROOT)/tao/target_specification.i \
 $(TAO_ROOT)/tao/operation_details.i \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.h \
 $(TAO_ROOT)/tao/Invocation_Endpoint_Selectors.i \
 $(TAO_ROOT)/tao/Invocation.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BaseC.i \
 $(TAO_ROOT)/tao/IFR_Client/IFR_BasicC.i

# IF YOU PUT ANYTHING HERE IT WILL GO AWAY
